-- This reservoir simulation deck is made available under the Open Database
-- License: http://opendatacommons.org/licenses/odbl/1.0/. Any rights in
-- individual contents of the database are licensed under the Database Contents
-- License: http://opendatacommons.org/licenses/dbcl/1.0/

-- Copyright (C) 2015 Statoil

--
--         Generated by : Prosper 9.3 - License#:4474 - Sep 17 2006 14:05:16
--         Generated on : 09 Jan 07  14:19
--           Input File : C:\GAP\E1H.OUT
--          Output File : Z:\res\sim\ior\linn\gap\E1H.Ecl
--
--
--                Fluid : Oil
--           PVT Method : Black Oil
--    Equation Of State : 
--            Separator : Single-Stage
--            Emulsions : No
--             Hydrates : Disable Warning
--      Water Viscosity : Use Default Correlation
--         Water Vapour : No Calculations
--      Viscosity Model : Newtonian Fluid
--
--            Flow Type : Tubing
--            Well Type : Producer
--
--      Artificial Lift : None
--            Lift Type : 
--
--           Predicting : Pressure and Temperature (offshore)
--    Temperature Model : Rough Approximation
--                Range : Full System
--
--           Completion : Cased Hole
--          Gravel Pack : No
--
--          Inflow Type : Single Branch
--           Gas Coning : No
--
--              Company : Statoil
--                Field : Norne
--             Location : Nordland II
--                 Well : E-1H
--             Platform : 
--              Analyst : amoe+arild stokkenes
--                 Date : 30 May 06  14:37
--
--
--
--  Surface Equipment Correlation :  GRE (original)
--      Vertical Lift Correlation :  Petroleum Experts 3 - (1.005) (1.076)
--
--                    Rate Method :  User Selected
--                      Rate Type :  Liquid Rates
--
--                     First Node :    1            Xmas Tree      397.4 (m)
--                      Last Node :   12               Tubing     3349.5 (m)
--
--         Sensitivity Variable 1 :  First Node Pressure
--         Sensitivity Variable 2 :  Gas Oil Ratio
--         Sensitivity Variable 3 :  Water Cut
--
--
-- PROSPER Lift Curves For ECLIPSE Simulator    (Liquid - Producer Well)  (Units System  - METRIC)


VFPPROD

-- Table   Datum Depth   Rate Type   WFR Type   GFR Type   TAB Type
-- -----   -----------   ---------   --------   --------   --------
--    45       2628.95       'LIQ'      'WCT'      'GOR'            /

-- Prosper files are corrected from RKB to MSL depth. lmarr

-- Table   Datum Depth   Rate Type   WFR Type   GFR Type   TAB Type
-- -----   -----------   ---------   --------   --------   --------
      45       2604.95       'LIQ'      'WCT'      'GOR'            /


-- 'LIQ' units - SM3/DAY
  200.0   500.0  1000.0  1500.0  2000.0 
 2500.0  3000.0  3500.0  4000.0  4500.0 
 5000.0  5500.0  6000.0  6500.0  7000.0 
 7500.0  8000.0 10000.0 14000.0 /

-- 'THP' units - BARSA
  20.00   50.00   60.00   80.00  100.00 
 120.00  140.00  160.00  180.00  200.00 /

-- 'WCT' units - FRACTION
      0     0.1     0.2     0.3     0.4 
    0.5     0.6     0.7     0.8       1 /

-- 'GOR' units - SM3/SM3
     90     100     150     200     300 
    500    1000    2000 /

-- 'ALQ' units - 
      0 /

 1  1  1  1  115.72   93.14   92.98   96.20  101.00 
             106.77  113.34  120.44  127.94  135.75 
             143.83  152.12  160.60  168.85  177.66 
             186.09  195.02  230.44  305.32 
/
 1  1  2  1  101.28   84.70   85.36   89.19   94.63 
             101.05  108.23  115.82  123.78  132.01 
             140.49  149.16  157.99  166.98  176.12 
             184.94  194.37  231.52  308.76 
/
 1  1  3  1   61.37   60.62   64.82   71.09   78.34 
              86.45   95.27  104.51  114.13  123.96 
             134.04  144.37  154.94  165.37  175.94 
             186.63  197.89  241.99  333.08 
/
 1  1  4  1   50.24   52.34   58.10   65.39   73.60 
              82.50   91.94  101.83  112.30  123.63 
             134.99  146.55  158.40  170.23  182.30 
             194.19  206.63  256.23  361.26 
/
 1  1  5  1   42.93   47.82   55.07   63.55   73.11 
              83.49   94.57  106.21  118.31  130.79 
             143.58  156.64  171.18  185.72  200.24 
             214.64  229.23  289.59  417.80 
/
 1  1  6  1   39.15   45.70   55.45   66.39   78.85 
              92.53  107.18  122.50  138.28  154.54 
             171.20  188.20  205.51  223.07  240.91 
             260.31  280.06  360.26  533.82 
/
 1  1  7  1   35.68   44.66   62.72   82.46  103.39 
             124.61  148.48  172.56  197.88  224.12 
             250.81  278.08  304.50  332.80  360.90 
             390.51  420.84  556.24  867.58 
/
 1  1  8  1   34.85   55.32   90.78  125.47  162.36 
             201.72  242.13  286.21  329.82  377.66 
             426.78  476.40  529.46  584.55  641.88 
             701.15  765.65 1037.96 1698.88 
/
 1  2  1  1  128.81  102.32  101.59  104.36  108.63 
             113.99  119.99  126.66  133.79  141.27 
             148.76  156.72  164.92  172.93  181.45 
             189.57  198.28  232.23  305.79 
/
 1  2  2  1  115.14   93.39   93.41   96.74  101.58 
             107.51  114.19  121.39  129.01  136.94 
             145.14  153.56  161.81  170.55  179.47 
             188.08  197.26  233.58  309.95 
/
 1  2  3  1   68.06   65.64   69.18   75.05   82.20 
              90.15   98.67  107.58  116.86  126.62 
             136.32  146.44  156.50  166.69  177.38 
             187.87  198.52  241.05  331.23 
/
 1  2  4  1   53.67   55.10   60.47   67.51   75.53 
              84.22   93.45  103.20  113.94  124.73 
             135.76  147.10  158.46  170.08  181.53 
             193.53  205.28  253.71  355.52 
/
 1  2  5  1   44.19   48.63   55.67   63.95   73.28 
              83.41   94.18  105.48  117.21  129.29 
             141.68  155.02  168.96  182.83  196.55 
             210.81  224.96  283.10  406.16 
/
 1  2  6  1   39.71   46.20   55.52   65.93   77.80 
              90.84  104.75  119.25  134.26  149.75 
             165.63  181.84  198.34  215.10  232.11 
             250.89  269.83  345.83  511.18 
/
 1  2  7  1   36.03   44.50   60.81   78.97   97.66 
             118.75  140.73  163.23  187.18  211.49 
             236.29  261.42  286.02  311.97  338.81 
             366.25  394.26  519.05  802.95 
/
 1  2  8  1   34.75   52.68   85.08  117.30  151.06 
             187.10  224.00  264.15  303.79  347.28 
             391.31  436.42  484.12  533.52  584.73 
             637.84  692.84  936.60 1518.53 
/
 1  3  1  1  142.37  112.72  111.57  113.86  117.63 
             122.37  127.97  133.99  140.65  147.44 
             154.78  162.09  169.94  177.55  185.73 
             193.53  202.00  235.13  307.66 
/
 1  3  2  1  130.06  103.51  102.89  105.70  110.00 
             115.38  121.40  128.11  135.27  142.80 
             150.35  158.39  166.65  174.70  183.37 
             191.64  200.55  235.18  309.88 
/
 1  3  3  1   77.29   72.82   75.30   80.63   87.31 
              94.83  102.97  111.69  120.58  129.91 
             139.32  149.16  158.94  168.86  178.93 
             189.13  199.49  240.99  328.46 
/
 1  3  4  1   58.59   59.04   63.87   70.56   78.31 
              86.75   95.89  105.72  115.98  126.30 
             137.06  147.91  159.00  170.01  181.49 
             192.79  204.22  251.40  350.71 
/
 1  3  5  1   46.21   50.01   56.76   64.80   73.88 
              83.72   94.18  105.12  116.46  128.14 
             140.54  153.67  166.79  180.07  193.32 
             206.78  220.47  276.62  395.40 
/
 1  3  6  1   40.38   46.79   55.67   65.57   76.86 
              89.24  102.37  116.11  130.40  145.12 
             160.21  175.61  191.29  207.22  224.21 
             241.89  259.72  332.01  487.57 
/
 1  3  7  1   36.47   44.53   59.00   75.48   93.56 
             112.31  132.86  154.34  176.54  198.78 
             220.86  244.22  268.03  292.32  317.10 
             342.38  368.19  481.63  740.27 
/
 1  3  8  1   34.97   50.20   79.59  108.50  139.99 
             172.22  206.20  241.12  278.43  317.50 
             356.30  397.67  440.33  484.34  529.82 
             576.83  623.20  839.42 1348.39 
/
 1  4  1  1  157.99  125.06  123.01  124.72  127.94 
             132.10  137.12  142.56  148.67  154.94 
             161.53  168.67  175.70  183.32  190.63 
             198.06  206.24  238.33  308.35 
/
 1  4  2  1  146.16  115.32  114.04  116.30  120.01 
             124.69  130.22  136.19  142.79  149.55 
             156.86  164.47  171.98  180.10  187.88 
             195.79  204.32  237.85  311.28 
/
 1  4  3  1   94.00   82.17   83.70   88.13   94.14 
             101.16  108.77  116.99  125.48  134.25 
             143.49  152.74  162.17  171.77  181.53 
             190.96  200.98  241.36  326.66 
/
 1  4  4  1   66.35   64.82   68.85   75.05   82.40 
              90.74   99.68  109.05  118.83  128.83 
             139.12  149.41  160.15  170.80  181.94 
             192.89  204.01  249.27  344.77 
/
 1  4  5  1   49.40   52.32   58.69   66.42   75.21 
              84.72   94.80  105.34  116.26  127.86 
             140.14  152.50  165.04  177.86  190.65 
             203.33  216.56  270.20  383.47 
/
 1  4  6  1   41.24   47.55   56.00   65.39   76.08 
              87.74  100.15  113.18  126.72  140.67 
             154.96  169.55  184.39  199.70  216.40 
             233.20  249.74  317.85  465.03 
/
 1  4  7  1   37.07   44.78   57.95   72.37   88.59 
             106.19  124.97  144.70  165.04  185.78 
             206.95  228.59  250.62  272.86  295.35 
             318.50  342.07  446.41  680.07 
/
 1  4  8  1   35.27   48.05   74.21  100.77  127.96 
             156.98  188.75  219.52  253.56  288.51 
             323.24  360.08  397.95  436.91  477.00 
             516.36  560.38  746.25 1190.03 
/
 1  5  1  1  172.25  139.76  135.83  137.16  139.84 
             143.42  147.69  152.53  157.82  163.74 
             169.74  175.97  182.85  189.53  196.38 
             203.42  211.18  241.16  309.05 
/
 1  5  2  1  162.86  129.22  126.99  128.69  131.78 
             135.81  140.54  146.02  151.78  157.92 
             164.67  171.43  178.78  185.93  193.23 
             201.21  208.82  241.02  311.48 
/
 1  5  3  1  115.03   94.09   94.70   98.33  103.43 
             109.62  116.57  124.06  131.97  140.22 
             148.75  157.52  166.51  175.29  184.59 
             194.08  203.20  242.15  323.96 
/
 1  5  4  1   77.20   73.69   76.41   81.90   88.79 
              96.51  104.94  113.78  123.03  132.45 
             142.31  152.19  162.23  172.77  183.17 
             193.28  203.94  247.53  340.02 
/
 1  5  5  1   54.50   56.20   61.97   69.27   77.66 
              86.77   96.42  106.50  117.44  128.86 
             140.42  152.02  163.84  175.88  188.17 
             200.72  213.02  263.90  372.53 
/
 1  5  6  1   42.74   48.54   56.52   65.45   75.58 
              86.60   98.35  110.65  123.43  136.58 
             150.05  163.79  177.89  193.42  209.05 
             224.32  240.14  304.20  441.12 
/
 1  5  7  1   37.87   45.33   57.39   70.45   85.07 
             101.09  118.22  136.20  154.67  173.60 
             192.98  212.74  232.85  253.29  273.97 
             295.02  316.43  411.24  622.15 
/
 1  5  8  1   35.18   46.32   69.11   92.59  117.50 
             143.37  169.98  198.96  229.31  259.22 
             290.97  323.48  356.81  390.97  425.54 
             460.25  496.02  656.88 1043.14 
/
 1  6  1  1  186.70  155.83  150.49  151.23  153.36 
             156.32  159.92  164.08  168.68  173.66 
             179.30  184.93  190.78  196.90  203.21 
             209.72  217.03  245.51  311.47 
/
 1  6  2  1  179.99  146.54  141.78  142.96  145.44 
             148.81  152.86  157.46  162.53  167.98 
             174.08  180.15  186.47  193.00  200.25 
             207.17  214.26  244.88  313.19 
/
 1  6  3  1  139.04  109.31  108.85  111.61  115.82 
             121.02  127.07  133.74  140.71  148.24 
             156.11  163.95  172.32  180.52  189.31 
             197.80  206.97  243.61  322.40 
/
 1  6  4  1  101.13   86.44   87.87   92.17   98.04 
             104.99  112.56  120.65  129.29  138.11 
             147.19  156.49  166.00  175.69  185.56 
             195.14  205.31  246.44  335.23 
/
 1  6  5  1   62.91   62.78   67.54   74.21   82.04 
              90.60  100.00  109.99  120.19  130.81 
             141.59  152.62  163.92  175.14  186.88 
             198.43  210.13  258.68  361.45 
/
 1  6  6  1   45.68   50.40   57.78   66.24   75.84 
              86.25   97.30  108.87  120.85  133.18 
             145.80  159.20  173.41  187.59  201.62 
             216.22  230.74  290.58  417.84 
/
 1  6  7  1   38.94   46.21   57.12   68.85   82.01 
              96.49  111.98  128.11  144.76  161.93 
             179.51  197.46  215.74  234.31  253.17 
             272.34  291.76  378.50  566.91 
/
 1  6  8  1   35.43   45.26   64.47   84.92  106.35 
             129.40  153.25  179.02  204.58  231.80 
             259.52  287.85  316.40  345.06  374.48 
             405.38  437.03  571.76  898.68 
/
 1  7  1  1  201.22  172.93  166.75  167.03  168.44 
             170.81  173.73  177.21  181.08  185.38 
             190.02  194.93  200.16  206.16  211.89 
             217.87  224.07  250.73  313.45 
/
 1  7  2  1  195.49  164.96  158.90  159.35  161.17 
             163.86  167.13  170.96  175.24  179.91 
             184.88  190.59  196.21  202.09  208.20 
             214.52  221.00  249.69  314.07 
/
 1  7  3  1  164.36  128.35  126.85  128.61  131.85 
             136.02  141.05  146.54  152.50  159.09 
             165.77  173.08  180.30  187.74  195.84 
             203.70  211.73  246.71  321.22 
/
 1  7  4  1  131.81  104.10  104.17  107.26  111.95 
             117.57  124.04  131.11  138.68  146.63 
             154.65  163.17  171.94  180.54  189.71 
             199.11  208.15  246.96  330.75 
/
 1  7  5  1   77.99   74.58   77.52   83.15   90.23 
              98.14  106.76  115.81  125.27  134.92 
             145.02  155.15  165.77  176.29  186.98 
             197.85  208.90  254.19  350.53 
/
 1  7  6  1   51.52   54.47   60.97   68.82   77.77 
              87.49   97.77  108.53  119.66  131.35 
             143.83  156.63  169.46  182.31  195.41 
             208.75  221.95  277.13  395.55 
/
 1  7  7  1   40.43   47.54   57.22   67.64   79.42 
              92.33  106.05  120.43  135.37  150.76 
             166.53  182.64  199.05  215.72  232.65 
             249.81  268.64  346.34  513.62 
/
 1  7  8  1   36.39   45.14   60.29   77.36   95.97 
             115.33  136.50  158.66  181.55  204.06 
             227.47  251.65  276.32  301.51  327.21 
             353.47  380.28  492.64  765.48 
/
 1  8  1  1  213.60  190.41  184.10  183.98  185.01 
             186.85  189.16  191.96  195.23  198.82 
             202.74  207.04  211.59  216.46  221.52 
             226.90  232.47  257.08  316.17 
/
 1  8  2  1  210.74  184.33  177.83  177.82  178.98 
             181.01  183.56  186.61  190.13  194.00 
             198.27  202.81  207.69  212.80  218.22 
             223.83  229.72  255.31  316.74 
/
 1  8  3  1  190.21  154.20  148.99  150.02  152.20 
             155.32  159.27  163.64  168.49  173.74 
             179.36  185.31  191.97  198.49  205.23 
             212.18  219.33  250.53  320.68 
/
 1  8  4  1  165.48  128.22  126.70  128.63  131.93 
             136.19  141.17  146.90  152.97  159.68 
             166.49  173.94  181.31  188.90  197.17 
             205.17  213.33  248.52  326.82 
/
 1  8  5  1  115.78   95.03   95.91   99.79  105.17 
             111.61  118.82  126.59  134.81  143.38 
             152.25  161.39  170.76  180.36  189.73 
             199.68  209.85  251.09  340.08 
/
 1  8  6  1   63.64   63.75   68.70   75.52   83.53 
              92.29  101.72  111.97  122.51  133.38 
             144.42  155.74  167.32  179.17  190.92 
             202.82  215.36  265.06  371.85 
/
 1  8  7  1   43.15   49.42   57.85   67.08   77.55 
              88.97  101.12  113.85  127.06  140.67 
             154.61  168.83  183.31  198.02  214.33 
             230.81  247.46  314.89  460.12 
/
 1  8  8  1   38.08   45.94   58.50   71.96   86.94 
             103.32  120.85  139.28  158.22  177.64 
             197.54  217.83  238.52  259.57  280.90 
             302.60  324.70  417.18  639.99 
/
 1  9  1  1  223.38  208.26  202.46  202.11  202.76 
             204.04  205.81  208.01  210.57  213.49 
             216.77  220.31  224.14  228.26  232.69 
             237.33  242.23  264.29  319.20 
/
 1  9  2  1  221.54  204.34  197.85  197.56  198.31 
             199.78  201.68  204.02  206.75  209.83 
             213.30  217.03  221.06  225.42  230.01 
             234.86  240.01  262.87  319.22 
/
 1  9  3  1  211.97  183.67  176.39  176.45  177.76 
             179.85  182.59  185.68  189.33  193.34 
             197.75  202.50  207.73  213.10  218.74 
             224.59  230.74  257.46  320.49 
/
 1  9  4  1  198.15  163.22  156.84  157.66  159.70 
             162.55  166.06  170.11  174.64  179.58 
             184.89  190.57  196.55  202.79  209.83 
             216.61  223.61  253.66  323.86 
/
 1  9  5  1  166.12  127.94  126.66  128.65  132.02 
             136.35  141.42  147.08  153.43  160.01 
             167.21  174.45  182.33  190.08  198.03 
             206.70  215.04  250.85  332.01 
/
 1  9  6  1  100.74   87.61   89.35   93.87   99.97 
             107.09  115.00  123.37  132.15  141.46 
             150.90  160.59  170.49  180.62  190.96 
             201.51  211.73  255.96  350.84 
/
 1  9  7  1   52.22   55.41   62.11   70.12   79.25 
              89.16   99.66  110.63  122.00  133.69 
             146.41  159.41  172.64  185.81  199.55 
             213.26  226.87  283.94  406.90 
/
 1  9  8  1   40.89   48.26   58.19   68.79   80.75 
              93.88  107.82  122.43  137.62  153.28 
             169.35  185.78  202.52  219.55  236.86 
             254.41  272.22  351.98  524.91 
/
 1 10  1  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  2  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  3  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  4  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  5  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  6  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  7  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 1 10  8  1  239.82  238.84  238.77  239.25  240.07 
             241.15  242.49  244.07  245.89  247.95 
             250.24  252.76  255.52  258.51  261.72 
             265.17  268.85  285.87  330.90 
/
 2  1  1  1  201.99  172.83  168.96  169.39  171.15 
             173.71  176.91  180.72  185.00  189.70 
             194.77  200.18  205.87  211.84  218.04 
             224.48  231.14  260.20  326.75 
/
 2  1  2  1  197.15  163.60  160.91  161.46  163.49 
             166.31  169.90  174.07  178.75  183.87 
             189.39  195.25  201.43  208.27  214.96 
             221.90  229.00  259.25  329.69 
/
 2  1  3  1  158.44  132.48  131.32  133.35  136.82 
             141.27  146.52  152.54  159.18  166.14 
             173.72  181.73  189.79  198.45  207.44 
             216.27  225.79  264.53  349.04 
/
 2  1  4  1  120.61  113.52  114.23  117.60  122.40 
             128.28  135.12  142.73  150.98  159.66 
             168.96  178.47  188.30  198.43  209.18 
             219.89  230.38  275.78  375.32 
/
 2  1  5  1   95.87   94.89   97.91  103.64  110.83 
             119.07  128.12  137.84  148.13  159.15 
             171.12  183.53  195.87  208.80  221.83 
             235.21  248.51  304.80  428.67 
/
 2  1  6  1   80.94   83.88   90.99  100.02  110.41 
             121.90  134.35  147.63  161.62  176.22 
             191.34  206.94  222.95  239.36  257.29 
             275.80  294.57  371.39  543.20 
/
 2  1  7  1   74.94   81.95   94.00  108.74  126.00 
             145.29  166.23  188.57  211.99  236.25 
             261.34  287.25  313.94  341.40  369.65 
             398.66  428.49  563.02  873.57 
/
 2  1  8  1   72.20   83.78  108.17  138.48  172.61 
             209.50  249.07  291.33  335.94  382.53 
             430.50  479.82  532.26  586.90  643.85 
             703.63  767.69 1043.49 1702.92 
/
 2  2  1  1  207.86  181.02  176.81  177.09  178.66 
             181.04  184.04  187.59  191.61  196.04 
             200.81  205.94  211.37  217.08  223.04 
             229.23  235.67  263.56  328.69 
/
 2  2  2  1  203.45  172.10  168.77  169.30  171.11 
             173.76  177.11  181.05  185.49  190.34 
             195.58  201.18  207.06  213.23  219.64 
             226.28  233.14  262.55  331.18 
/
 2  2  3  1  169.58  140.34  138.75  140.46  143.61 
             147.71  152.59  158.25  164.34  171.11 
             178.11  185.75  193.45  201.79  210.05 
             218.53  227.72  265.28  347.92 
/
 2  2  4  1  133.90  120.25  120.43  123.38  127.79 
             133.25  139.58  146.64  154.46  162.69 
             171.38  180.46  189.89  199.64  209.69 
             220.01  230.60  274.17  370.17 
/
 2  2  5  1  100.55   99.23  101.78  106.75  113.35 
             121.05  129.61  138.84  148.84  159.76 
             171.20  182.67  194.75  206.97  219.54 
             232.10  245.31  299.15  417.46 
/
 2  2  6  1   83.24   85.19   91.71  100.24  110.11 
             121.03  132.85  145.45  158.72  172.56 
             186.90  201.69  216.87  232.55  250.01 
             267.61  285.06  358.06  519.51 
/
 2  2  7  1   75.50   82.25   93.42  107.02  122.95 
             140.80  160.19  180.88  202.50  224.92 
             248.15  272.13  296.81  322.19  348.25 
             375.00  402.44  526.13  810.56 
/
 2  2  8  1   72.42   83.03  105.00  131.45  161.83 
             195.40  231.33  269.44  309.67  351.72 
             395.31  440.55  487.57  536.43  587.19 
             639.79  694.97  942.54 1522.37 
/
 2  3  1  1  213.94  189.49  185.23  185.37  186.72 
             188.84  191.60  194.85  198.53  202.63 
             207.10  211.88  216.99  222.38  228.04 
             233.92  240.09  266.99  330.55 
/
 2  3  2  1  209.97  181.37  177.27  177.70  179.34 
             181.80  184.91  188.53  192.64  197.16 
             202.06  207.29  212.85  218.70  224.81 
             231.16  237.74  266.18  332.73 
/
 2  3  3  1  181.60  149.35  147.30  148.69  151.49 
             155.23  159.71  164.82  170.48  176.82 
             183.39  190.33  197.93  205.51  213.80 
             221.93  230.29  266.51  347.05 
/
 2  3  4  1  149.04  128.27  127.85  130.43  134.36 
             139.31  145.16  151.74  158.94  166.67 
             174.88  183.52  192.22  201.54  211.17 
             220.66  230.82  272.84  366.17 
/
 2  3  5  1  107.42  104.61  106.75  111.13  116.99 
             124.04  131.99  141.03  150.74  160.99 
             171.54  182.70  194.07  205.55  217.62 
             229.66  241.96  293.67  407.42 
/
 2  3  6  1   86.61   87.37   93.09  101.01  110.29 
             120.58  131.74  143.64  156.18  169.24 
             182.79  196.74  211.08  226.74  242.92 
             259.38  276.09  344.81  497.20 
/
 2  3  7  1   76.17   82.66   92.96  105.46  120.11 
             136.55  154.42  173.42  193.27  213.91 
             235.31  257.38  280.09  303.42  327.35 
             351.89  377.04  490.04  747.79 
/
 2  3  8  1   72.74   82.45  102.12  125.69  152.79 
             182.80  215.07  249.31  285.40  323.05 
             362.01  402.39  444.24  487.61  532.55 
             579.06  627.29  844.24 1351.25 
/
 2  4  1  1  221.24  199.02  194.17  194.20  195.36 
             197.25  199.75  202.69  206.09  209.84 
             213.99  218.46  223.21  228.28  233.59 
             239.20  245.08  270.82  332.61 
/
 2  4  2  1  217.72  191.47  186.72  186.92  188.31 
             190.51  193.26  196.55  200.27  204.43 
             208.95  213.82  218.98  224.45  230.20 
             236.20  242.44  269.65  334.26 
/
 2  4  3  1  195.29  159.64  157.14  158.18  160.63 
             163.98  168.05  172.73  177.95  183.64 
             189.75  196.22  203.39  210.55  217.99 
             225.68  234.17  268.33  345.18 
/
 2  4  4  1  165.77  137.95  136.82  138.89  142.36 
             146.80  152.13  158.04  164.69  171.88 
             179.32  187.41  195.90  204.38  213.54 
             222.55  232.28  271.99  361.06 
/
 2  4  5  1  116.35  111.61  113.10  116.94  122.24 
             128.77  136.27  144.52  153.42  162.89 
             172.84  183.25  194.09  205.01  216.21 
             227.69  239.43  289.02  397.37 
/
 2  4  6  1   91.03   90.92   95.55  102.67  111.24 
             120.84  131.27  142.42  154.16  166.42 
             179.13  192.24  206.54  221.37  236.49 
             251.87  267.30  331.66  474.95 
/
 2  4  7  1   76.96   83.17   92.65  104.10  117.52 
             132.58  148.91  166.20  184.34  203.25 
             222.84  243.05  263.82  285.15  307.00 
             329.38  352.29  454.83  688.50 
/
 2  4  8  1   73.19   82.10   99.56  120.33  144.31 
             170.93  199.62  230.13  262.27  295.66 
             330.19  365.92  402.89  441.11  480.59 
             521.39  563.54  751.32 1193.63 
/
 2  5  1  1  229.04  208.85  203.67  203.59  204.59 
             206.31  208.51  211.17  214.28  217.72 
             221.51  225.66  230.08  234.83  239.81 
             245.11  250.62  275.17  335.04 
/
 2  5  2  1  225.97  202.21  196.88  196.90  198.05 
             199.93  202.41  205.34  208.73  212.48 
             216.62  221.08  225.87  230.96  236.29 
             241.93  247.83  273.73  336.07 
/
 2  5  3  1  210.17  170.79  168.43  169.10  171.19 
             174.14  177.65  181.85  186.58  191.76 
             197.37  203.67  210.04  216.72  223.70 
             230.98  238.53  270.78  345.04 
/
 2  5  4  1  183.95  149.44  147.70  149.27  152.24 
             156.16  160.84  166.17  172.06  178.64 
             185.48  192.99  200.59  208.49  217.09 
             225.55  234.79  272.61  357.37 
/
 2  5  5  1  132.42  121.04  121.70  124.95  129.63 
             135.37  142.09  149.50  157.67  166.30 
             175.40  185.17  195.10  205.37  215.94 
             226.83  238.00  284.09  387.37 
/
 2  5  6  1   96.91   96.36   99.77  105.85  113.50 
             122.25  131.84  142.13  153.01  164.39 
             176.20  189.46  202.93  216.45  230.52 
             244.67  259.16  319.24  452.80 
/
 2  5  7  1   78.48   83.91   92.62  103.03  115.25 
             128.89  143.63  159.30  175.79  192.98 
             210.78  229.14  248.01  267.36  287.18 
             307.45  328.17  421.52  630.97 
/
 2  5  8  1   73.87   82.13   97.42  115.45  136.37 
             159.67  184.88  211.72  239.97  269.24 
             299.49  330.76  363.06  396.36  430.71 
             466.11  502.58  662.34 1047.33 
/
 2  6  1  1  236.93  219.71  213.88  213.56  214.40 
             215.94  217.90  220.30  223.08  226.26 
             229.74  233.53  237.66  242.04  246.74 
             251.67  256.86  280.20  337.88 
/
 2  6  2  1  234.32  213.64  207.74  207.60  208.54 
             210.16  212.31  214.96  217.96  221.39 
             225.13  229.19  233.61  238.27  243.26 
             248.48  254.01  278.52  338.37 
/
 2  6  3  1  220.98  184.74  180.98  181.50  183.23 
             185.77  188.96  192.70  196.94  201.63 
             206.74  212.23  218.07  224.27  230.76 
             237.53  244.54  274.91  345.17 
/
 2  6  4  1  202.55  163.16  160.74  161.82  164.27 
             167.62  171.70  176.40  181.65  187.38 
             193.55  200.10  207.36  214.63  222.20 
             230.04  238.69  273.56  354.24 
/
 2  6  5  1  157.58  133.34  133.04  135.57  139.49 
             144.41  150.24  156.82  164.05  171.83 
             180.12  188.61  197.72  207.20  217.04 
             226.76  237.18  280.47  377.50 
/
 2  6  6  1  105.56  103.99  106.61  111.48  117.92 
             125.58  134.15  143.43  153.32  164.43 
             176.01  187.86  199.94  212.41  225.24 
             238.11  251.66  307.12  430.58 
/
 2  6  7  1   81.64   85.20   92.95  102.37  113.42 
             125.67  138.92  153.02  167.84  183.30 
             199.32  215.83  232.80  250.19  267.98 
             286.18  305.13  389.41  575.94 
/
 2  6  8  1   74.84   82.54   95.72  111.13  129.09 
             149.16  170.97  194.23  218.60  243.85 
             269.98  296.98  324.80  353.45  382.92 
             413.22  444.37  577.78  905.76 
/
 2  7  1  1  244.69  230.54  224.47  224.18  224.85 
             226.13  227.88  230.04  232.60  235.46 
             238.64  242.12  245.94  250.01  254.34 
             258.95  263.87  285.90  341.23 
/
 2  7  2  1  242.57  225.72  219.31  219.04  219.78 
             221.17  223.05  225.41  228.09  231.13 
             234.51  238.24  242.24  246.53  251.14 
             255.97  261.12  284.11  341.40 
/
 2  7  3  1  231.79  201.34  195.09  195.41  196.81 
             198.93  201.64  204.86  208.54  212.63 
             217.11  221.95  227.15  232.62  238.43 
             244.53  250.90  278.84  345.14 
/
 2  7  4  1  220.66  178.69  176.40  177.03  178.93 
             181.72  185.18  189.24  193.60  198.60 
             204.04  210.19  216.42  222.98  229.86 
             237.03  244.47  276.95  352.33 
/
 2  7  5  1  184.38  149.61  148.12  149.86  152.92 
             156.99  161.95  167.49  173.62  180.46 
             187.57  195.36  203.27  211.86  220.42 
             229.24  238.82  278.24  368.26 
/
 2  7  6  1  120.32  115.37  116.91  120.78  126.07 
             132.61  140.11  148.43  157.40  167.13 
             177.26  187.66  198.71  209.87  221.34 
             233.51  245.62  296.27  408.50 
/
 2  7  7  1   87.65   88.72   94.91  103.11  112.87 
             123.69  135.41  147.88  161.01  174.71 
             188.91  203.54  218.59  234.01  249.78 
             267.16  285.16  359.00  521.90 
/
 2  7  8  1   76.20   83.44   94.53  107.48  122.60 
             139.57  158.05  177.70  198.24  219.61 
             241.77  264.64  288.19  312.40  337.26 
             362.76  388.91  500.16  771.62 
/
 2  8  1  1  252.08  241.51  235.65  235.28  235.83 
             236.94  238.50  240.43  242.71  245.31 
             248.21  251.46  254.94  258.70  262.73 
             267.02  271.63  292.33  345.31 
/
 2  8  2  1  250.48  238.13  231.65  231.13  231.73 
             232.99  234.63  236.66  239.05  241.78 
             244.82  248.21  251.85  255.76  259.96 
             264.42  269.20  290.69  345.14 
/
 2  8  3  1  242.34  219.43  211.79  211.72  212.70 
             214.41  216.58  219.22  222.31  225.75 
             229.59  233.74  238.25  243.08  248.16 
             253.58  259.23  284.58  346.30 
/
 2  8  4  1  233.98  200.30  194.59  194.94  196.39 
             198.58  201.37  204.67  208.45  212.66 
             217.28  222.27  227.63  233.33  239.37 
             245.72  252.36  281.47  350.64 
/
 2  8  5  1  213.44  170.49  168.17  169.10  171.31 
             174.49  178.39  182.91  187.98  193.55 
             199.56  205.98  213.13  220.31  227.80 
             235.59  243.66  279.22  361.65 
/
 2  8  6  1  156.43  133.86  133.78  136.42  140.49 
             145.65  151.69  158.49  165.82  173.84 
             182.38  191.38  200.81  210.63  220.82 
             231.36  241.73  286.74  387.83 
/
 2  8  7  1   97.84   97.54  101.23  107.58  115.55 
             124.63  134.58  145.25  156.53  168.34 
             180.60  193.26  207.11  221.53  236.29 
             251.02  266.10  329.93  470.67 
/
 2  8  8  1   78.97   84.93   94.01  104.70  117.20 
             131.19  146.31  162.38  179.30  196.95 
             215.24  234.13  253.56  273.51  293.95 
             314.88  336.30  427.15  647.65 
/
 2  9  1  1  258.87  252.29  247.10  246.75  247.22 
             248.22  249.62  251.37  253.44  255.87 
             258.52  261.46  264.67  268.15  271.88 
             275.88  280.13  299.67  350.17 
/
 2  9  2  1  257.80  250.42  244.45  244.03  244.48 
             245.49  246.93  248.73  250.86  253.30 
             256.04  259.07  262.37  265.95  269.84 
             273.95  278.31  298.24  349.82 
/
 2  9  3  1  252.37  238.10  230.44  230.05  230.65 
             231.89  233.61  235.75  238.27  241.19 
             244.39  247.91  251.74  255.90  260.32 
             265.01  270.02  292.54  349.21 
/
 2  9  4  1  246.83  225.05  216.77  216.71  217.65 
             219.31  221.41  223.97  226.97  230.32 
             234.07  238.13  242.55  247.26  252.30 
             257.65  263.25  288.47  350.53 
/
 2  9  5  1  235.45  199.10  194.11  194.49  195.99 
             198.25  201.13  204.54  208.43  212.78 
             217.54  222.69  228.21  234.07  240.27 
             246.78  253.59  283.72  355.93 
/
 2  9  6  1  203.74  163.05  160.90  162.19  164.78 
             168.36  172.70  177.70  183.27  189.58 
             196.17  203.17  210.92  218.69  226.79 
             235.19  244.42  281.85  369.91 
/
 2  9  7  1  120.78  116.09  117.87  121.88  127.29 
             133.81  141.54  150.17  159.43  169.26 
             179.81  190.50  201.81  213.59  225.45 
             237.62  250.11  303.10  421.08 
/
 2  9  8  1   88.22   89.56   95.98  104.36  114.30 
             125.32  137.23  149.92  163.29  177.25 
             191.73  206.67  222.04  237.81  253.95 
             270.46  287.50  364.76  534.36 
/
 2 10  1  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  2  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  3  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  4  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  5  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  6  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  7  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 2 10  8  1  269.96  268.98  268.91  269.40  270.21 
             271.30  272.63  274.22  276.04  278.09 
             280.38  282.90  285.65  288.64  291.86 
             295.30  298.98  315.98  360.99 
/
 3  1  1  1  216.03  192.30  188.30  188.41  189.76 
             191.90  194.68  197.97  201.69  205.84 
             210.35  215.21  220.37  225.78  231.50 
             237.48  243.71  270.85  335.28 
/
 3  1  2  1  211.93  183.81  180.35  180.72  182.36 
             184.84  187.99  191.68  195.85  200.45 
             205.44  210.77  216.42  222.36  228.56 
             235.00  241.66  270.61  338.32 
/
 3  1  3  1  183.78  153.30  151.30  152.67  155.54 
             159.36  163.95  169.18  175.15  181.46 
             188.20  195.59  203.08  211.23  219.33 
             227.68  236.77  274.10  355.98 
/
 3  1  4  1  149.79  133.50  133.23  135.85  139.89 
             145.02  151.04  157.80  165.20  173.17 
             181.62  190.51  199.79  209.44  219.41 
             229.29  239.82  283.49  380.47 
/
 3  1  5  1  114.38  112.34  114.51  119.03  125.15 
             132.51  140.80  149.84  159.79  170.66 
             181.92  193.60  205.53  217.83  230.52 
             243.23  256.63  311.48  433.26 
/
 3  1  6  1   96.35   97.29  103.39  111.83  121.65 
             132.59  144.51  157.28  170.79  184.92 
             199.61  214.80  230.43  246.62  264.64 
             282.48  300.94  376.93  546.78 
/
 3  1  7  1   87.67   94.13  105.27  119.24  135.75 
             154.34  174.60  196.29  219.06  242.76 
             267.39  292.89  319.20  346.33  374.25 
             402.99  432.56  566.20  876.08 
/
 3  1  8  1   84.57   95.32  118.22  146.31  178.84 
             214.86  253.67  295.06  338.97  384.93 
             432.82  482.78  534.89  589.26  645.97 
             705.49  769.25 1044.92 1703.98 
/
 3  2  1  1  221.44  199.72  195.55  195.62  196.88 
             198.85  201.39  204.47  207.94  211.84 
             216.10  220.66  225.56  230.76  236.23 
             241.93  247.93  274.18  337.22 
/
 3  2  2  1  217.69  191.69  187.87  188.13  189.63 
             191.90  194.79  198.21  202.10  206.38 
             211.07  216.09  221.44  227.08  232.99 
             239.15  245.56  273.51  339.63 
/
 3  2  3  1  194.65  161.18  158.74  159.92  162.52 
             165.96  170.21  175.25  180.71  186.66 
             193.04  200.09  207.24  214.70  222.44 
             230.92  239.21  275.35  355.25 
/
 3  2  4  1  162.25  140.52  139.77  142.05  145.73 
             150.42  156.00  162.33  169.30  176.66 
             184.66  193.12  201.98  211.23  220.43 
             230.31  240.02  282.19  376.51 
/
 3  2  5  1  120.64  117.16  118.98  123.06  128.62 
             135.33  143.02  151.87  161.45  171.63 
             182.15  193.14  204.55  216.36  228.58 
             240.80  253.30  306.08  423.37 
/
 3  2  6  1   99.47   99.56  104.81  112.60  121.81 
             132.14  143.40  155.47  168.24  181.61 
             195.50  209.87  224.66  240.84  257.61 
             274.69  291.68  363.81  524.45 
/
 3  2  7  1   88.26   94.46  104.80  117.69  132.93 
             150.11  168.85  188.85  209.84  231.76 
             254.53  278.09  302.40  327.44  353.18 
             379.64  406.83  529.52  813.18 
/
 3  2  8  1   84.85   94.75  115.35  140.54  169.80 
             202.34  237.44  274.85  314.47  355.91 
             399.00  443.87  490.55  539.10  589.60 
             642.14  697.22  943.98 1524.17 
/
 3  3  1  1  227.06  207.60  203.30  203.31  204.40 
             206.20  208.59  211.41  214.68  218.30 
             222.30  226.60  231.25  236.15  241.37 
             246.85  252.56  277.88  339.24 
/
 3  3  2  1  223.66  200.33  196.02  196.16  197.45 
             199.50  202.16  205.32  208.89  212.90 
             217.27  221.97  227.00  232.33  237.94 
             243.81  249.90  276.82  341.05 
/
 3  3  3  1  205.55  169.63  167.24  168.16  170.40 
             173.61  177.54  182.08  187.16  192.73 
             198.72  205.10  212.18  219.28  226.67 
             234.34  242.27  277.04  354.81 
/
 3  3  4  1  175.71  148.78  147.55  149.40  152.69 
             156.97  162.13  167.89  174.40  181.28 
             188.83  196.58  204.98  213.43  222.55 
             232.02  241.31  282.03  372.82 
/
 3  3  5  1  128.46  123.27  124.52  128.14  133.20 
             139.52  146.80  155.00  163.80  173.23 
             183.20  193.67  204.35  215.67  227.05 
             238.74  250.71  300.86  413.43 
/
 3  3  6  1  103.38  103.01  107.14  114.12  122.62 
             132.25  142.80  154.14  166.13  178.71 
             191.78  205.30  219.65  235.23  250.94 
             266.92  282.99  350.82  501.18 
/
 3  3  7  1   88.97   94.87  104.45  116.30  130.33 
             146.13  163.34  181.66  200.93  221.10 
             242.04  263.70  286.04  309.03  332.64 
             356.88  381.75  493.76  750.43 
/
 3  3  8  1   85.23   94.35  112.75  135.13  161.23 
             190.34  221.83  255.39  290.89  327.95 
             366.42  406.40  447.91  490.99  535.68 
             582.03  630.09  846.50 1353.99 
/
 3  4  1  1  233.94  216.12  211.54  211.48  212.45 
             214.08  216.24  218.89  221.89  225.27 
             229.02  233.06  237.44  242.07  247.03 
             252.22  257.72  282.08  341.72 
/
 3  4  2  1  230.90  209.29  204.71  204.74  205.87 
             207.75  210.14  213.00  216.32  220.03 
             224.07  228.47  233.16  238.18  243.48 
             249.02  254.86  280.61  342.95 
/
 3  4  3  1  215.39  179.07  176.74  177.44  179.43 
             182.33  185.80  189.95  194.64  199.79 
             205.38  211.35  217.68  224.34  231.30 
             239.09  246.70  279.27  353.52 
/
 3  4  4  1  191.67  158.49  156.68  158.19  161.02 
             164.85  169.46  174.72  180.72  187.09 
             193.90  201.39  209.00  217.31  225.58 
             234.12  243.43  281.79  368.16 
/
 3  4  5  1  140.75  131.20  131.74  134.89  139.46 
             145.11  151.68  159.11  167.26  175.89 
             185.05  194.88  204.93  215.35  226.11 
             237.19  248.59  296.52  402.49 
/
 3  4  6  1  108.37  107.64  110.91  116.80  124.43 
             133.25  143.00  153.52  164.69  176.42 
             188.63  201.80  215.74  230.06  244.68 
             259.42  274.54  337.98  479.22 
/
 3  4  7  1   90.29   95.37  104.25  115.11  127.98 
             142.40  158.06  174.77  192.40  210.83 
             229.98  249.78  270.18  291.15  312.69 
             334.77  357.40  459.49  691.31 
/
 3  4  8  1   85.73   94.15  110.45  130.14  153.18 
             178.93  206.87  236.71  268.23  301.03 
             335.07  370.37  406.97  444.86  484.06 
             524.61  566.56  753.88 1195.86 
/
 3  5  1  1  241.37  225.29  220.33  220.08  220.93 
             222.48  224.45  226.84  229.62  232.79 
             236.25  240.03  244.15  248.52  253.18 
             258.14  263.33  286.67  344.54 
/
 3  5  2  1  238.69  219.24  214.09  213.99  214.94 
             216.57  218.73  221.37  224.38  227.77 
             231.54  235.60  240.01  244.68  249.68 
             254.90  260.44  285.03  345.24 
/
 3  5  3  1  225.10  189.92  187.24  187.76  189.49 
             192.04  195.25  199.01  203.28  208.01 
             213.16  218.70  224.60  230.85  237.42 
             244.28  251.41  282.23  353.75 
/
 3  5  4  1  208.29  169.72  167.46  168.56  170.96 
             174.35  178.47  183.23  188.54  194.36 
             200.62  207.29  214.66  222.07  229.79 
             237.80  246.08  282.34  365.04 
/
 3  5  5  1  161.95  141.12  140.88  143.45  147.40 
             152.42  158.32  164.99  172.33  180.09 
             188.51  197.40  206.73  216.45  226.54 
             236.99  247.29  292.01  392.74 
/
 3  5  6  1  114.92  113.80  116.41  121.33  127.85 
             135.67  144.47  154.05  164.28  175.07 
             187.23  199.74  212.43  225.44  239.15 
             252.98  266.84  325.90  457.26 
/
 3  5  7  1   92.89   96.30  104.33  114.23  125.93 
             138.99  153.17  168.32  184.31  201.03 
             218.40  236.35  254.84  273.84  293.33 
             313.30  333.74  426.59  634.15 
/
 3  5  8  1   86.43   94.29  108.54  125.62  145.67 
             168.17  192.66  218.85  246.45  275.13 
             304.89  335.74  367.64  400.61  434.64 
             469.77  506.00  665.10 1049.36 
/
 3  6  1  1  248.88  234.92  229.41  229.21  229.95 
             231.28  233.13  235.32  237.88  240.78 
             244.00  247.57  251.40  255.51  259.95 
             264.61  269.53  291.77  347.76 
/
 3  6  2  1  246.58  229.91  223.97  223.78  224.58 
             226.02  227.96  230.37  233.12  236.22 
             239.70  243.46  247.52  251.92  256.55 
             261.46  266.69  289.99  347.98 
/
 3  6  3  1  235.04  203.58  198.98  199.33  200.79 
             202.99  205.79  209.10  212.89  217.11 
             221.74  226.76  232.13  237.80  243.80 
             250.08  256.65  285.42  353.40 
/
 3  6  4  1  223.19  182.32  180.09  180.82  182.84 
             185.77  189.26  193.46  198.20  203.42 
             209.09  215.16  221.60  228.39  235.50 
             242.91  251.17  284.85  362.53 
/
 3  6  5  1  184.34  153.77  152.62  154.56  157.81 
             162.08  167.26  173.05  179.60  186.56 
             194.21  202.08  210.64  219.26  228.59 
             237.85  247.85  289.15  383.38 
/
 3  6  6  1  126.02  122.20  124.15  128.22  133.73 
             140.40  148.03  156.78  166.37  176.62 
             187.25  198.39  209.98  222.00  234.48 
             247.00  259.83  314.85  435.44 
/
 3  6  7  1   97.47   98.77  105.44  114.22  124.70 
             136.38  149.07  162.63  176.96  191.94 
             207.51  223.60  240.18  257.22  274.68 
             292.56  311.94  394.93  579.46 
/
 3  6  8  1   87.44   94.83  107.05  121.66  138.84 
             158.19  179.32  201.92  225.64  250.32 
             275.98  302.54  329.99  358.29  387.44 
             417.46  448.35  580.99  908.10 
/
 3  7  1  1  256.27  244.89  239.22  238.78  239.40 
             240.59  242.29  244.30  246.66  249.34 
             252.33  255.63  259.25  263.11  267.24 
             271.64  276.30  297.50  351.41 
/
 3  7  2  1  254.39  240.59  234.57  234.25  234.90 
             236.16  237.89  240.02  242.52  245.35 
             248.55  252.02  255.78  259.87  264.20 
             268.80  273.66  295.78  351.42 
/
 3  7  3  1  244.99  218.85  212.41  212.53  213.69 
             215.56  217.97  220.84  224.16  227.85 
             231.95  236.40  241.16  246.28  251.69 
             257.40  263.36  289.89  354.04 
/
 3  7  4  1  235.37  197.62  194.60  195.06  196.70 
             199.12  202.17  205.78  209.88  214.45 
             219.44  224.83  230.59  236.69  243.13 
             249.88  256.94  288.03  360.78 
/
 3  7  5  1  209.60  169.83  167.73  168.91  171.54 
             175.10  179.29  184.38  189.92  195.99 
             202.53  209.49  217.17  224.90  232.97 
             241.82  250.52  288.61  376.20 
/
 3  7  6  1  145.35  135.02  135.65  138.84  143.41 
             149.09  155.76  163.18  171.41  180.15 
             189.64  199.45  209.69  220.34  231.36 
             242.73  254.43  303.88  414.82 
/
 3  7  7  1  104.44  104.41  108.97  116.27  125.23 
             135.37  146.45  158.35  170.94  184.13 
             197.85  212.05  226.69  241.73  257.71 
             274.83  292.16  365.02  526.96 
/
 3  7  8  1   89.09   95.82  106.06  118.36  132.81 
             149.15  166.97  185.94  205.89  226.77 
             248.47  270.92  294.10  317.97  342.51 
             367.71  393.58  503.92  775.37 
/
 3  8  1  1  263.30  255.22  249.23  248.88  249.38 
             250.44  251.92  253.76  255.94  258.42 
             261.20  264.27  267.66  271.28  275.16 
             279.31  283.71  303.89  355.69 
/
 3  8  2  1  261.86  252.00  245.67  245.28  245.80 
             246.90  248.44  250.36  252.63  255.21 
             258.11  261.29  264.82  268.57  272.60 
             276.89  281.44  302.23  355.45 
/
 3  8  3  1  254.71  235.16  227.86  227.54  228.45 
             229.91  231.88  234.30  237.16  240.34 
             243.91  247.79  251.98  256.52  261.33 
             266.46  271.82  296.01  355.94 
/
 3  8  4  1  247.42  218.31  211.53  211.78  213.06 
             215.01  217.52  220.51  223.94  227.79 
             232.04  236.67  241.64  246.97  252.59 
             258.54  264.78  292.50  359.44 
/
 3  8  5  1  232.49  189.16  186.91  187.60  189.54 
             192.30  195.78  199.80  204.41  209.52 
             215.08  221.06  227.42  234.15  241.22 
             248.61  256.31  290.21  369.82 
/
 3  8  6  1  185.30  154.16  153.17  155.27  158.74 
             163.19  168.46  174.58  181.22  188.60 
             196.31  204.72  213.61  222.58  232.27 
             241.91  252.31  296.05  394.77 
/
 3  8  7  1  115.81  114.98  117.85  123.02  129.86 
             138.01  147.16  157.12  167.75  178.97 
             190.68  203.35  216.82  230.72  244.96 
             259.36  274.17  336.64  476.31 
/
 3  8  8  1   93.51   97.40  105.78  115.94  127.92 
             141.32  155.87  171.42  187.83  205.00 
             222.86  241.34  260.38  279.98  300.09 
             320.72  341.85  432.55  651.86 
/
 3  9  1  1  269.71  263.78  259.61  259.26  259.71 
             260.67  262.02  263.72  265.73  268.03 
             270.61  273.47  276.60  280.04  283.69 
             287.60  291.75  310.84  360.60 
/
 3  9  2  1  268.75  262.17  257.27  256.84  257.27 
             258.24  259.61  261.35  263.41  265.77 
             268.42  271.36  274.57  278.04  281.78 
             285.78  290.03  309.60  360.25 
/
 3  9  3  1  263.94  252.22  244.62  244.19  244.74 
             245.89  247.51  249.53  251.97  254.69 
             257.74  261.10  264.76  268.75  272.99 
             277.50  282.34  304.13  359.44 
/
 3  9  4  1  259.05  240.40  232.26  232.09  232.90 
             234.40  236.33  238.70  241.50  244.62 
             248.11  251.96  256.11  260.60  265.36 
             270.46  275.80  299.98  360.33 
/
 3  9  5  1  249.09  217.14  211.02  211.30  212.62 
             214.63  217.22  220.31  223.85  227.83 
             232.21  236.97  242.09  247.57  253.37 
             259.50  265.94  294.78  364.84 
/
 3  9  6  1  227.72  182.22  180.03  180.91  183.10 
             186.25  190.13  194.65  199.75  205.36 
             211.45  217.98  224.91  232.21  239.86 
             247.84  256.14  292.84  378.31 
/
 3  9  7  1  143.99  135.62  136.48  139.78  144.52 
             150.39  157.18  164.89  173.36  182.36 
             192.10  202.20  213.03  224.06  235.47 
             247.26  259.40  310.75  426.30 
/
 3  9  8  1  105.02  105.14  109.98  117.47  126.65 
             136.98  148.28  160.40  173.23  186.69 
             200.69  215.20  230.16  245.55  261.34 
             277.52  295.11  370.89  538.47 
/
 3 10  1  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  2  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  3  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  4  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  5  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  6  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  7  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 3 10  8  1  280.01  279.03  278.96  279.45  280.26 
             281.35  282.68  284.26  286.08  288.14 
             290.43  292.95  295.70  298.68  301.90 
             305.35  309.02  326.02  371.02 
/
 4  1  1  1  240.70  225.62  221.73  221.66  222.63 
             224.28  226.48  229.09  232.10  235.51 
             239.23  243.28  247.67  252.33  257.31 
             262.53  268.05  292.60  353.07 
/
 4  1  2  1  237.54  218.40  214.80  214.81  215.93 
             217.78  220.23  223.12  226.48  230.20 
             234.30  238.75  243.49  248.56  253.92 
             259.53  265.45  291.60  355.22 
/
 4  1  3  1  221.66  189.72  187.36  188.13  190.20 
             193.17  196.89  201.24  206.13  211.52 
             217.36  223.61  230.24  237.22  244.53 
             252.14  260.07  294.08  372.34 
/
 4  1  4  1  198.29  170.70  168.88  170.46  173.51 
             177.54  182.38  187.91  194.05  200.91 
             208.09  215.97  224.01  232.74  241.50 
             250.99  260.37  301.09  393.92 
/
 4  1  5  1  152.58  146.30  147.11  150.42  155.21 
             161.22  168.33  176.26  184.95  194.32 
             204.31  214.88  225.73  237.30  248.99 
             261.05  273.46  326.50  445.59 
/
 4  1  6  1  127.69  126.83  130.39  137.00  145.42 
             155.17  165.99  177.73  190.26  203.48 
             217.31  231.70  246.69  263.42  280.43 
             297.49  315.24  389.25  556.53 
/
 4  1  7  1  112.73  117.99  127.92  140.65  155.95 
             173.28  192.32  212.76  234.42  257.20 
             280.99  305.72  331.34  357.83  385.17 
             413.38  442.87  574.86  883.24 
/
 4  1  8  1  109.08  118.64  139.04  164.87  195.43 
             229.71  267.08  307.24  350.02  394.93 
             441.96  491.20  542.69  596.51  652.74 
             712.30  775.28 1049.92 1708.33 
/
 4  2  1  1  245.62  231.93  228.10  228.05  228.96 
             230.51  232.56  235.04  237.94  241.16 
             244.72  248.63  252.82  257.33  262.09 
             267.17  272.48  296.34  355.58 
/
 4  2  2  1  242.67  225.25  221.48  221.47  222.51 
             224.25  226.55  229.28  232.45  235.97 
             239.87  244.08  248.63  253.46  258.61 
             264.01  269.72  295.04  357.19 
/
 4  2  3  1  228.00  196.80  194.44  195.06  196.97 
             199.73  203.19  207.25  211.83  216.91 
             222.42  228.35  234.65  241.31  248.30 
             255.62  263.21  295.92  371.60 
/
 4  2  4  1  209.79  177.81  175.71  177.01  179.78 
             183.50  188.00  193.17  198.94  205.24 
             212.25  219.50  227.14  235.14  243.86 
             252.54  261.51  300.69  390.69 
/
 4  2  5  1  160.40  152.22  152.57  155.54  159.92 
             165.44  171.97  179.27  187.40  196.24 
             205.53  215.33  225.87  236.60  247.74 
             259.26  271.15  321.54  434.95 
/
 4  2  6  1  131.48  130.37  133.42  139.11  146.72 
             155.70  165.77  176.74  188.47  200.88 
             213.88  227.41  242.49  258.03  273.69 
             289.99  306.44  376.54  534.49 
/
 4  2  7  1  113.85  118.37  127.62  139.38  153.51 
             169.49  186.99  205.79  225.76  246.77 
             268.71  291.51  315.12  339.52  364.67 
             390.59  417.29  538.69  819.49 
/
 4  2  8  1  109.45  118.30  136.60  159.69  187.08 
             217.93  251.59  287.77  326.27  366.63 
             408.83  452.93  498.95  546.93  596.94 
             649.03  704.20  949.37 1528.29 
/
 4  3  1  1  250.75  238.90  234.78  234.73  235.60 
             237.06  239.00  241.35  244.07  247.17 
             250.57  254.28  258.32  262.62  267.21 
             272.10  277.22  300.38  358.17 
/
 4  3  2  1  248.02  232.77  228.61  228.58  229.53 
             231.14  233.27  235.83  238.83  242.15 
             245.85  249.85  254.16  258.80  263.70 
             268.92  274.37  298.83  359.44 
/
 4  3  3  1  234.65  204.60  202.26  202.75  204.45 
             206.97  210.14  213.87  218.11  222.82 
             227.96  233.50  239.42  245.69  252.31 
             259.24  266.44  297.65  370.87 
/
 4  3  4  1  221.15  185.64  183.52  184.61  187.02 
             190.42  194.57  199.36  204.75  210.65 
             217.03  223.85  231.06  238.63  246.95 
             255.22  263.79  301.49  386.73 
/
 4  3  5  1  173.89  159.33  159.06  161.63  165.60 
             170.60  176.56  183.32  190.80  198.91 
             207.60  216.80  226.49  236.61  247.15 
             258.09  268.96  316.92  425.47 
/
 4  3  6  1  136.13  134.75  137.31  142.31  149.01 
             157.10  166.31  176.43  187.31  198.85 
             210.97  224.51  238.57  252.81  267.68 
             282.75  298.28  364.00  511.55 
/
 4  3  7  1  115.83  118.97  127.45  138.30  151.28 
             165.90  181.92  199.17  217.49  236.75 
             256.87  277.77  299.41  321.74  344.76 
             368.45  392.83  503.49  758.47 
/
 4  3  8  1  109.90  118.12  134.42  154.87  179.21 
             206.70  236.79  269.12  303.46  339.43 
             377.00  416.20  457.03  499.50  543.65 
             589.52  637.18  852.99 1358.59 
/
 4  4  1  1  257.17  246.22  241.88  241.80  242.60 
             243.97  245.80  248.02  250.60  253.55 
             256.78  260.32  264.16  268.32  272.72 
             277.40  282.38  304.76  361.17 
/
 4  4  2  1  254.67  240.79  236.17  236.10  236.97 
             238.46  240.44  242.88  245.66  248.79 
             252.26  256.08  260.17  264.60  269.28 
             274.23  279.50  303.10  361.84 
/
 4  4  3  1  242.62  213.52  210.88  211.26  212.77 
             215.04  217.93  221.34  225.24  229.58 
             234.34  239.50  245.03  250.90  257.08 
             263.58  270.35  300.01  370.47 
/
 4  4  4  1  230.42  194.53  192.40  193.27  195.42 
             198.44  202.23  206.50  211.45  216.90 
             222.83  229.18  235.93  243.04  250.93 
             258.76  266.89  302.30  384.14 
/
 4  4  5  1  191.23  167.87  166.93  169.06  172.51 
             177.08  182.43  188.63  195.38  202.88 
             210.96  219.32  228.37  237.88  247.45 
             257.75  268.44  312.88  416.26 
/
 4  4  6  1  142.55  140.28  142.34  146.68  152.59 
             159.75  167.99  177.14  187.07  197.77 
             209.86  222.29  235.20  248.42  262.10 
             276.24  290.48  351.68  489.99 
/
 4  4  7  1  118.92  120.38  127.73  137.55  149.39 
             162.70  177.29  192.99  209.68  227.22 
             245.54  264.57  284.26  304.58  325.51 
             347.03  369.16  469.82  698.62 
/
 4  4  8  1  110.47  118.13  132.51  150.47  171.86 
             196.10  222.69  251.33  281.63  313.35 
             346.48  381.01  416.91  454.17  492.82 
             532.87  574.37  760.88 1200.67 
/
 4  5  1  1  264.21  254.47  249.39  249.26  249.98 
             251.25  252.96  255.06  257.50  260.26 
             263.38  266.75  270.41  274.36  278.63 
             283.12  287.87  309.50  364.48 
/
 4  5  2  1  261.97  249.44  244.32  244.07  244.86 
             246.29  248.12  250.35  252.95  255.89 
             259.19  262.77  266.65  270.86  275.32 
             280.05  285.10  307.73  364.75 
/
 4  5  3  1  251.29  224.70  220.36  220.66  222.00 
             224.04  226.65  229.76  233.32  237.31 
             241.69  246.44  251.55  256.99  262.74 
             268.80  275.15  303.13  370.60 
/
 4  5  4  1  240.48  204.62  202.39  203.02  204.88 
             207.57  210.94  214.91  219.40  224.39 
             229.83  235.69  241.95  248.57  255.55 
             262.85  270.46  303.91  382.01 
/
 4  5  5  1  210.14  178.26  176.54  178.20  181.16 
             185.14  189.92  195.40  201.66  208.35 
             215.78  223.47  231.58  240.42  249.31 
             258.96  268.53  310.30  407.46 
/
 4  5  6  1  152.40  147.39  148.95  152.63  157.73 
             163.99  171.24  179.65  188.98  199.07 
             209.63  220.80  232.51  244.74  257.50 
             270.36  283.61  340.24  468.47 
/
 4  5  7  1  123.07  123.31  129.10  137.71  148.27 
             160.21  173.33  187.47  202.50  218.32 
             234.84  252.01  269.78  288.11  306.98 
             326.39  346.67  437.60  643.11 
/
 4  5  8  1  111.26  118.39  130.92  146.51  165.09 
             186.20  209.41  234.38  260.75  288.38 
             317.26  347.33  378.54  410.88  444.35 
             478.95  514.71  672.93 1054.47 
/
 4  6  1  1  271.32  262.66  257.27  257.08  257.72 
             258.90  260.50  262.47  264.77  267.43 
             270.35  273.56  277.05  280.83  284.87 
             289.23  293.80  314.69  368.09 
/
 4  6  2  1  269.39  258.55  252.77  252.57  253.25 
             254.49  256.19  258.31  260.74  263.50 
             266.58  269.95  273.66  277.62  281.85 
             286.36  291.18  312.91  368.19 
/
 4  6  3  1  260.19  236.92  231.14  231.26  232.37 
             234.18  236.49  239.30  242.50  246.11 
             250.08  254.42  259.11  264.12  269.41 
             275.03  280.94  307.21  371.40 
/
 4  6  4  1  250.91  216.04  213.82  214.25  215.81 
             218.13  221.07  224.55  228.53  232.97 
             237.84  243.12  248.77  254.79  261.16 
             267.85  274.86  305.94  379.46 
/
 4  6  5  1  231.44  190.36  188.35  189.44  191.96 
             195.32  199.50  204.35  209.80  215.79 
             222.51  229.48  236.87  244.65  252.79 
             261.28  270.59  308.89  399.38 
/
 4  6  6  1  167.25  157.61  158.05  161.07  165.45 
             170.95  177.46  184.76  192.93  201.67 
             211.19  221.12  231.56  242.76  254.13 
             265.92  278.10  330.02  448.27 
/
 4  6  7  1  128.80  128.46  132.53  139.57  148.58 
             158.99  170.53  183.01  196.33  210.38 
             225.08  240.36  256.18  272.52  289.33 
             307.26  326.52  407.27  589.11 
/
 4  6  8  1  112.81  119.08  129.79  143.11  158.99 
             177.10  197.00  218.33  240.91  264.65 
             289.46  315.25  342.00  369.66  398.24 
             427.72  458.11  589.68  913.86 
/
 4  7  1  1  278.29  271.06  265.65  265.35  265.90 
             266.97  268.45  270.29  272.46  274.94 
             277.71  280.76  284.09  287.69  291.61 
             295.74  300.13  320.20  372.19 
/
 4  7  2  1  276.71  268.01  261.80  261.51  262.09 
             263.21  264.77  266.70  268.97  271.60 
             274.49  277.66  281.13  284.87  288.89 
             293.22  297.77  318.59  371.88 
/
 4  7  3  1  269.12  250.03  243.18  243.07  243.95 
             245.52  247.52  249.97  252.86  256.08 
             259.65  263.59  267.86  272.41  277.30 
             282.44  287.91  312.36  373.13 
/
 4  7  4  1  261.49  231.78  226.86  227.15  228.44 
             230.43  232.97  236.01  239.49  243.39 
             247.70  252.39  257.45  262.87  268.63 
             274.70  281.09  309.46  378.17 
/
 4  7  5  1  246.05  204.72  202.58  203.33  205.33 
             208.20  211.77  215.97  220.73  225.98 
             231.73  237.93  244.54  251.54  258.69 
             266.38  274.40  309.48  393.45 
/
 4  7  6  1  197.11  171.61  170.82  173.02  176.53 
             181.15  186.57  192.85  199.72  207.35 
             215.58  224.37  233.40  243.15  253.36 
             263.58  274.58  321.19  427.51 
/
 4  7  7  1  137.15  136.20  139.14  144.51  151.61 
             160.17  169.90  180.56  192.02  204.18 
             216.94  230.26  244.08  258.83  275.02 
             291.25  307.80  378.32  537.39 
/
 4  7  8  1  116.58  120.13  129.14  140.36  153.75 
             168.92  185.55  203.43  222.42  242.39 
             263.26  284.95  307.42  330.64  354.58 
             379.24  404.60  513.25  781.99 
/
 4  8  1  1  284.88  278.49  274.29  273.93  274.39 
             275.37  276.75  278.48  280.52  282.86 
             285.49  288.39  291.55  294.99  298.69 
             302.64  306.85  326.24  376.44 
/
 4  8  2  1  283.68  276.55  271.36  270.97  271.44 
             272.45  273.87  275.66  277.77  280.18 
             282.89  285.88  289.15  292.69  296.49 
             300.61  304.94  324.76  376.15 
/
 4  8  3  1  277.84  264.04  256.46  256.12  256.76 
             258.01  259.74  261.89  264.45  267.32 
             270.51  274.03  277.90  282.02  286.44 
             291.18  296.16  318.73  375.97 
/
 4  8  4  1  271.98  249.90  242.10  242.18  243.20 
             244.88  247.04  249.63  252.63  256.04 
             259.80  263.90  268.35  273.11  278.21 
             283.62  289.33  314.90  378.29 
/
 4  8  5  1  260.12  222.13  219.92  220.32  221.82 
             224.07  226.94  230.35  234.25  238.62 
             243.42  248.64  254.24  260.22  266.56 
             273.24  280.23  311.30  387.09 
/
 4  8  6  1  231.81  190.75  188.72  190.02  192.63 
             196.23  200.61  205.68  211.37  217.63 
             224.40  231.65  239.65  247.78  256.30 
             265.18  274.89  314.97  410.49 
/
 4  8  7  1  152.62  148.53  150.36  154.27  159.63 
             166.19  173.78  182.27  191.54  201.96 
             213.22  225.11  237.32  250.08  263.35 
             277.11  291.00  351.13  487.61 
/
 4  8  8  1  123.79  124.30  130.51  139.40  150.27 
             162.56  176.04  190.58  206.04  222.32 
             239.33  257.03  275.35  294.28  313.77 
             333.82  354.43  444.47  659.81 
/
 4  9  1  1  290.83  285.79  283.19  282.82  283.22 
             284.13  285.41  287.03  288.96  291.17 
             293.65  296.41  299.42  302.70  306.23 
             310.01  314.05  332.63  381.28 
/
 4  9  2  1  290.03  284.48  281.11  280.72  281.13 
             282.05  283.37  285.03  286.99  289.25 
             291.79  294.61  297.69  301.03  304.63 
             308.48  312.59  331.58  380.97 
/
 4  9  3  1  286.06  277.79  270.72  270.24  270.70 
             271.74  273.22  275.09  277.36  279.89 
             282.74  285.88  289.32  293.04  297.03 
             301.35  305.88  326.66  380.06 
/
 4  9  4  1  282.09  268.88  260.43  260.08  260.69 
             261.93  263.64  265.76  268.27  271.16 
             274.35  277.85  281.71  285.84  290.27 
             295.02  300.02  322.76  380.47 
/
 4  9  5  1  274.04  249.04  241.26  241.46  242.58 
             244.33  246.59  249.29  252.42  255.93 
             259.83  264.09  268.70  273.66  278.97 
             284.61  290.54  317.28  383.74 
/
 4  9  6  1  257.74  215.91  213.68  214.23  215.97 
             218.52  221.75  225.56  229.91  234.76 
             240.09  245.85  252.03  258.61  265.56 
             272.87  280.52  314.29  395.34 
/
 4  9  7  1  195.30  172.05  171.50  173.81  177.52 
             182.24  187.92  194.30  201.52  209.41 
             217.92  227.00  236.63  246.44  257.00 
             268.02  279.01  328.05  440.17 
/
 4  9  8  1  137.73  136.96  140.05  145.58  152.90 
             161.70  171.67  182.58  194.30  206.74 
             219.80  233.44  247.59  262.23  277.32 
             293.78  310.91  384.34  549.02 
/
 4 10  1  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  2  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  3  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  4  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  5  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  6  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  7  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 4 10  8  1  300.11  299.13  299.06  299.54  300.36 
             301.44  302.78  304.36  306.18  308.23 
             310.52  313.04  315.79  318.77  321.99 
             325.43  329.11  346.10  391.08 
/
 5  1  1  1  263.05  253.88  250.42  250.39  251.24 
             252.66  254.53  256.81  259.48  262.46 
             265.76  269.38  273.31  277.52  282.01 
             286.82  291.85  314.67  372.46 
/
 5  1  2  1  260.32  247.90  244.55  244.50  245.43 
             246.98  249.03  251.50  254.40  257.63 
             261.20  265.13  269.34  273.88  278.69 
             283.82  289.19  313.42  373.99 
/
 5  1  3  1  247.52  221.38  219.02  219.47  221.11 
             223.56  226.65  230.31  234.48  239.12 
             244.20  249.69  255.57  261.81  268.39 
             275.28  282.47  313.77  388.37 
/
 5  1  4  1  234.79  203.44  201.44  202.47  204.84 
             208.22  212.26  217.05  222.43  228.36 
             234.78  241.67  248.97  257.02  265.12 
             273.57  282.35  320.50  409.27 
/
 5  1  5  1  190.25  179.06  178.73  181.22  185.16 
             190.23  196.24  203.09  210.70  218.99 
             227.90  237.38  247.38  257.87  268.83 
             280.23  292.04  342.06  457.76 
/
 5  1  6  1  158.16  156.47  158.95  164.02  170.90 
             179.25  188.84  199.47  210.97  223.24 
             236.19  250.30  265.35  280.96  297.03 
             313.37  330.63  402.70  567.55 
/
 5  1  7  1  139.02  141.71  150.62  162.42  176.70 
             192.92  210.83  230.25  251.00  272.93 
             295.94  319.96  344.93  370.83  397.64 
             425.35  455.17  585.20  890.71 
/
 5  1  8  1  133.32  141.96  160.36  184.35  213.17 
             245.92  281.97  321.02  362.70  406.63 
             452.86  501.42  552.31  605.61  661.38 
             720.49  783.54 1056.16 1715.40 
/
 5  2  1  1  267.75  259.66  256.13  256.06  256.89 
             258.31  260.12  262.31  264.85  267.73 
             270.93  274.46  278.25  282.33  286.69 
             291.37  296.27  318.56  375.15 
/
 5  2  2  1  265.16  254.17  250.58  250.48  251.38 
             252.91  254.86  257.23  259.97  263.10 
             266.53  270.28  274.36  278.72  283.37 
             288.33  293.53  317.11  376.25 
/
 5  2  3  1  253.24  227.97  225.71  226.09  227.60 
             229.88  232.76  236.19  240.10  244.47 
             249.26  254.46  260.03  265.94  272.19 
             278.74  285.61  315.64  387.84 
/
 5  2  4  1  241.37  210.11  208.04  208.94  211.14 
             214.26  218.11  222.61  227.62  233.22 
             239.31  245.86  252.82  260.18  267.91 
             275.99  284.39  321.13  406.17 
/
 5  2  5  1  202.83  185.39  184.50  186.71  190.26 
             194.94  200.46  206.84  213.97  221.61 
             229.99  238.94  248.43  258.09  268.49 
             279.34  290.17  337.85  448.81 
/
 5  2  6  1  162.39  160.50  162.58  167.11  173.31 
             180.88  189.62  199.37  210.00  221.40 
             233.75  247.36  261.44  276.01  290.91 
             306.33  322.27  390.36  545.73 
/
 5  2  7  1  141.34  142.72  150.61  161.45  174.57 
             189.47  205.94  223.79  242.87  263.04 
             284.20  306.28  329.24  353.03  377.64 
             403.06  430.09  549.46  828.84 
/
 5  2  8  1  133.75  141.79  158.25  179.64  205.42 
             234.78  267.16  302.22  339.59  378.97 
             420.36  463.77  509.19  556.63  606.16 
             657.81  713.01  956.17 1533.62 
/
 5  3  1  1  272.65  265.73  262.02  262.05  262.86 
             264.18  265.92  268.04  270.49  273.27 
             276.39  279.77  283.44  287.39  291.67 
             296.17  300.95  322.69  378.19 
/
 5  3  2  1  270.24  260.83  256.82  256.83  257.69 
             259.10  260.97  263.27  265.89  268.86 
             272.15  275.78  279.68  283.88  288.39 
             293.16  298.19  321.09  378.90 
/
 5  3  3  1  259.25  235.50  233.00  233.32  234.71 
             236.82  239.50  242.70  246.35  250.45 
             254.94  259.83  265.07  270.65  276.55 
             282.77  289.28  318.00  387.78 
/
 5  3  4  1  248.34  217.58  215.44  216.17  218.13 
             220.95  224.47  228.60  233.29  238.48 
             244.16  250.27  256.80  263.72  271.01 
             278.65  286.62  321.66  403.36 
/
 5  3  5  1  217.99  192.75  191.36  193.16  196.34 
             200.56  205.62  211.53  218.01  225.27 
             232.93  241.33  249.98  259.37  268.86 
             279.13  289.37  334.79  440.03 
/
 5  3  6  1  168.77  165.41  167.10  171.08  176.61 
             183.41  191.30  200.15  209.85  220.77 
             232.55  245.01  258.05  271.48  285.46 
             299.99  314.66  378.23  523.04 
/
 5  3  7  1  144.22  144.60  151.21  160.94  172.86 
             186.45  201.48  217.77  235.19  253.62 
             272.95  293.13  314.09  335.82  358.28 
             381.47  405.76  515.34  766.90 
/
 5  3  8  1  134.33  141.76  156.38  175.30  198.13 
             224.23  253.06  284.27  317.47  352.46 
             389.23  427.73  467.94  509.86  553.52 
             598.94  646.18  860.42 1364.13 
/
 5  4  1  1  278.85  272.50  268.45  268.43  269.11 
             270.43  272.09  274.12  276.47  279.15 
             282.12  285.39  288.93  292.80  296.91 
             301.28  305.92  327.10  381.48 
/
 5  4  2  1  276.61  267.89  263.60  263.58  264.38 
             265.71  267.48  269.67  272.17  275.01 
             278.15  281.61  285.39  289.43  293.75 
             298.34  303.25  325.41  381.82 
/
 5  4  3  1  266.59  244.63  241.00  241.26  242.53 
             244.47  246.95  249.91  253.31  257.11 
             261.31  265.86  270.78  276.03  281.60 
             287.47  293.65  321.00  388.17 
/
 5  4  4  1  256.68  225.93  223.77  224.33  226.06 
             228.59  231.78  235.54  239.82  244.59 
             249.82  255.47  261.53  267.98  274.78 
             281.94  289.43  322.52  400.54 
/
 5  4  5  1  233.70  201.20  199.43  200.85  203.64 
             207.45  212.06  217.38  223.33  229.87 
             237.16  244.76  252.81  261.28  270.52 
             279.79  289.41  331.72  431.69 
/
 5  4  6  1  177.56  171.53  172.78  176.22  181.08 
             187.10  194.14  202.44  211.66  221.56 
             232.28  243.54  255.42  267.62  280.65 
             293.86  307.93  367.01  501.75 
/
 5  4  7  1  147.89  147.76  152.80  161.24  171.83 
             184.04  197.60  212.33  228.10  244.79 
             262.31  280.61  299.61  319.31  339.67 
             360.66  383.05  482.16  708.65 
/
 5  4  8  1  135.06  141.92  154.77  171.35  191.38 
             214.32  239.72  267.17  296.34  327.13 
             359.48  393.30  428.57  465.27  503.41 
             543.00  584.07  769.01 1207.87 
/
 5  5  1  1  285.72  279.80  275.28  275.07  275.76 
             276.95  278.53  280.47  282.73  285.34 
             288.20  291.35  294.77  298.48  302.45 
             306.69  311.24  331.80  384.84 
/
 5  5  2  1  283.72  275.92  270.83  270.74  271.46 
             272.71  274.38  276.42  278.84  281.54 
             284.54  287.85  291.44  295.36  299.51 
             303.94  308.64  330.08  385.04 
/
 5  5  3  1  274.72  254.84  250.01  250.11  251.19 
             252.91  255.19  257.89  261.03  264.54 
             268.44  272.69  277.25  282.17  287.40 
             292.90  298.72  324.69  389.09 
/
 5  5  4  1  265.88  235.26  233.13  233.56  235.07 
             237.32  240.18  243.58  247.47  251.82 
             256.59  261.78  267.36  273.31  279.62 
             286.28  293.29  324.31  398.35 
/
 5  5  5  1  248.27  210.78  208.97  210.05  212.44 
             215.82  219.86  224.66  230.07  236.04 
             242.53  249.50  256.92  264.75  273.38 
             282.01  291.00  330.20  423.94 
/
 5  5  6  1  188.09  179.97  180.28  183.16  187.44 
             192.85  199.30  206.58  214.76  223.57 
             233.22  243.34  254.01  265.21  277.23 
             289.43  302.08  356.38  481.80 
/
 5  5  7  1  152.70  152.11  156.05  162.90  171.96 
             182.66  194.66  207.77  221.84  236.78 
             252.48  268.88  285.94  303.62  321.90 
             340.73  362.01  450.51  653.57 
/
 5  5  8  1  136.62  142.27  153.46  167.84  185.20 
             205.13  227.17  250.94  276.26  303.03 
             331.13  360.49  391.06  422.83  455.76 
             489.89  525.21  682.59 1062.26 
/
 5  6  1  1  292.66  286.53  282.26  282.11  282.72 
             283.82  285.32  287.17  289.33  291.79 
             294.54  297.62  300.92  304.50  308.34 
             312.44  316.81  336.87  388.77 
/
 5  6  2  1  290.93  283.93  278.60  278.39  279.00 
             280.14  281.70  283.62  285.88  288.44 
             291.31  294.47  297.91  301.63  305.67 
             309.93  314.45  335.20  388.57 
/
 5  6  3  1  283.10  265.96  259.90  259.83  260.72 
             262.24  264.26  266.75  269.59  272.82 
             276.42  280.33  284.59  289.14  294.03 
             299.18  304.65  329.16  390.76 
/
 5  6  4  1  275.44  247.17  243.66  243.97  245.29 
             247.29  249.84  252.89  256.39  260.32 
             264.66  269.38  274.48  279.94  285.76 
             291.91  298.38  327.15  397.06 
/
 5  6  5  1  260.10  222.08  220.04  220.84  222.87 
             225.77  229.38  233.62  238.43  243.77 
             249.62  255.92  262.67  269.82  277.37 
             285.28  293.55  329.89  416.88 
/
 5  6  6  1  211.33  190.86  190.14  192.41  195.99 
             200.64  206.24  212.56  219.73  227.59 
             236.09  245.19  254.58  264.73  275.38 
             286.51  297.65  346.84  461.40 
/
 5  6  7  1  159.22  158.14  161.15  166.70  174.11 
             183.05  193.31  204.66  216.93  230.01 
             243.82  258.29  273.36  289.00  305.45 
             323.79  342.20  420.82  600.07 
/
 5  6  8  1  139.87  142.98  152.55  164.86  179.69 
             196.70  215.46  235.75  257.41  280.30 
             304.33  329.41  355.51  382.58  410.61 
             439.60  469.54  600.85  922.54 
/
 5  7  1  1  299.44  293.40  289.84  289.55  290.06 
             291.07  292.48  294.22  296.28  298.64 
             301.28  304.19  307.38  310.83  314.54 
             318.51  322.74  342.15  392.77 
/
 5  7  2  1  298.03  291.25  286.57  286.29  286.83 
             287.88  289.35  291.16  293.29  295.73 
             298.47  301.53  304.82  308.38  312.21 
             316.30  320.66  340.70  392.59 
/
 5  7  3  1  291.52  277.64  270.67  270.42  271.13 
             272.45  274.25  276.47  279.10  282.04 
             285.32  288.92  292.86  297.08  301.59 
             306.42  311.49  334.57  393.15 
/
 5  7  4  1  285.16  261.98  255.49  255.74  256.89 
             258.66  260.95  263.67  266.81  270.34 
             274.25  278.51  283.12  288.07  293.36 
             298.96  304.87  331.37  396.79 
/
 5  7  5  1  272.39  235.44  233.31  233.82  235.45 
             237.85  240.90  244.50  248.63  253.24 
             258.31  263.82  269.74  276.05  282.74 
             289.79  297.19  330.01  410.10 
/
 5  7  6  1  241.96  205.02  203.27  204.77  207.63 
             211.52  216.22  221.66  227.75  234.45 
             241.71  249.73  258.01  266.74  276.26 
             285.83  295.79  340.31  443.17 
/
 5  7  7  1  168.89  166.86  168.95  173.27  179.17 
             186.39  194.77  204.15  214.42  225.48 
             237.24  249.64  263.43  278.01  293.15 
             308.45  324.30  392.74  548.95 
/
 5  7  8  1  145.04  145.78  152.89  162.97  175.33 
             189.48  205.10  222.02  240.11  259.25 
             279.34  300.30  322.11  344.72  368.10 
             392.24  417.12  524.79  791.57 
/
 5  8  1  1  305.81  300.31  297.62  297.25  297.57 
             298.52  299.85  301.51  303.48  305.73 
             308.26  311.06  314.13  317.45  321.03 
             324.87  328.96  347.87  397.17 
/
 5  8  2  1  304.75  298.65  295.16  294.75  295.08 
             296.05  297.41  299.12  301.13  303.45 
             306.09  308.97  312.11  315.52  319.19 
             323.12  327.31  346.56  396.91 
/
 5  8  3  1  299.71  290.34  282.46  281.91  282.46 
             283.60  285.25  287.23  289.56  292.23 
             295.23  298.53  302.16  306.05  310.22 
             314.66  319.38  340.95  396.33 
/
 5  8  4  1  294.78  278.03  269.91  269.77  270.59 
             272.01  273.92  276.26  279.02  282.11 
             285.58  289.35  293.48  297.90  302.66 
             307.69  313.05  337.23  397.91 
/
 5  8  5  1  284.87  252.89  249.26  249.55  250.84 
             252.81  255.33  258.35  261.83  265.73 
             270.05  274.76  279.85  285.31  291.12 
             297.28  303.77  332.94  405.25 
/
 5  8  6  1  265.06  222.49  220.51  221.42  223.60 
             226.67  230.49  234.96  240.05  245.60 
             251.75  258.39  265.49  273.02  280.96 
             289.29  297.99  336.21  427.25 
/
 5  8  7  1  188.62  180.71  181.40  184.50  188.94 
             194.57  201.27  208.96  217.50  226.80 
             236.85  247.39  258.74  270.74  283.03 
             295.82  309.10  366.70  499.95 
/
 5  8  8  1  153.44  153.12  157.31  164.48  173.91 
             184.97  197.36  210.88  225.39  240.79 
             257.00  273.94  291.56  309.84  328.73 
             348.23  368.33  457.17  670.44 
/
 5  9  1  1  311.52  307.06  305.06  304.80  305.25 
             306.17  307.44  309.03  310.92  313.08 
             315.51  318.20  321.15  324.35  327.80 
             331.50  335.45  353.67  401.57 
/
 5  9  2  1  310.82  305.93  303.66  303.28  303.68 
             304.58  305.85  307.45  309.36  311.55 
             314.02  316.76  319.76  323.01  326.52 
             330.29  334.30  352.83  401.45 
/
 5  9  3  1  307.39  300.22  294.96  294.44  294.83 
             295.79  297.18  298.94  301.05  303.46 
             306.18  309.19  312.48  316.09  319.93 
             324.04  328.41  348.48  400.64 
/
 5  9  4  1  304.01  294.57  285.98  285.54  286.06 
             287.18  288.76  290.74  293.08  295.80 
             298.80  302.12  305.74  309.69  313.90 
             318.39  323.16  344.99  400.81 
/
 5  9  5  1  297.22  277.98  268.43  268.64  269.68 
             271.29  273.37  275.88  278.77  282.03 
             285.66  289.62  293.92  298.57  303.54 
             308.80  314.39  339.72  403.49 
/
 5  9  6  1  283.55  245.74  243.59  243.97  245.42 
             247.62  250.42  253.77  257.61  261.92 
             266.67  271.86  277.45  283.43  289.80 
             296.52  303.60  335.23  412.88 
/
 5  9  7  1  240.62  205.53  203.82  205.47  208.48 
             212.51  217.39  223.00  229.45  236.41 
             243.95  252.28  260.89  270.29  279.85 
             290.24  300.64  346.47  454.69 
/
 5  9  8  1  169.34  167.63  169.87  174.34  180.42 
             187.84  196.45  206.10  216.65  228.02 
             240.10  252.84  266.18  280.07  295.55 
             311.51  328.20  398.92  560.79 
/
 5 10  1  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  2  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  3  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  4  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  5  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  6  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  7  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 5 10  8  1  320.20  319.23  319.16  319.64  320.46 
             321.54  322.88  324.46  326.27  328.33 
             330.61  333.13  335.88  338.87  342.08 
             345.52  349.19  366.18  411.13 
/
 6  1  1  1  284.24  279.35  276.15  276.12  276.94 
             278.26  279.99  282.09  284.53  287.28 
             290.37  293.73  297.38  301.31  305.53 
             310.06  314.82  336.58  392.30 
/
 6  1  2  1  281.72  274.14  271.11  271.06  271.93 
             273.34  275.23  277.47  280.07  283.02 
             286.29  289.90  293.78  297.96  302.43 
             307.22  312.25  335.15  393.46 
/
 6  1  3  1  270.79  249.90  247.77  248.11  249.51 
             251.63  254.34  257.55  261.25  265.38 
             269.92  274.84  280.13  285.77  291.74 
             298.02  304.61  333.70  405.43 
/
 6  1  4  1  260.21  233.05  230.97  231.73  233.74 
             236.61  240.20  244.41  249.19  254.51 
             260.31  266.57  273.27  280.38  287.89 
             295.76  303.99  340.20  425.09 
/
 6  1  5  1  230.64  210.09  208.67  210.57  213.89 
             218.27  223.54  229.70  236.47  244.06 
             252.09  260.89  269.98  279.85  289.86 
             300.68  311.53  359.73  472.30 
/
 6  1  6  1  187.85  185.19  186.94  191.15  197.03 
             204.28  212.73  222.23  232.68  243.96 
             256.89  270.46  284.47  299.30  314.53 
             330.36  346.43  416.96  579.44 
/
 6  1  7  1  166.21  166.61  173.81  184.59  197.84 
             213.07  230.04  248.55  268.45  289.58 
             311.85  335.19  359.54  384.87  411.17 
             438.46  468.61  596.69  900.73 
/
 6  1  8  1  157.41  165.18  181.96  204.39  231.71 
             263.08  297.94  335.90  376.50  419.56 
             465.07  512.99  563.34  616.15  671.50 
             730.58  793.28 1064.45 1721.15 
/
 6  2  1  1  288.83  284.66  281.37  281.37  282.18 
             283.47  285.16  287.20  289.57  292.29 
             295.27  298.55  302.11  305.95  310.06 
             314.45  319.16  340.41  395.33 
/
 6  2  2  1  286.43  280.05  276.58  276.63  277.47 
             278.83  280.62  282.79  285.31  288.16 
             291.33  294.83  298.60  302.65  307.00 
             311.67  316.57  338.93  396.12 
/
 6  2  3  1  276.14  256.39  254.12  254.42  255.74 
             257.73  260.27  263.31  266.79  270.69 
             274.99  279.66  284.69  290.04  295.74 
             301.75  308.05  336.07  405.59 
/
 6  2  4  1  266.24  239.45  237.37  238.01  239.84 
             242.48  245.81  249.72  254.18  259.15 
             264.59  270.48  276.80  283.51  290.62 
             298.09  305.91  340.44  422.05 
/
 6  2  5  1  244.20  216.18  214.61  216.22  219.22 
             223.27  228.16  233.80  240.12  247.24 
             254.78  262.85  271.70  280.75  290.23 
             300.51  310.82  356.23  462.94 
/
 6  2  6  1  194.02  189.54  190.97  194.72  200.01 
             206.58  214.27  222.95  232.81  243.75 
             255.51  267.98  280.98  294.63  308.91 
             323.83  338.95  404.95  557.76 
/
 6  2  7  1  168.84  168.82  174.66  184.26  196.27 
             210.16  225.68  242.61  260.83  280.20 
             300.62  322.02  344.34  367.55  391.64 
             416.59  443.93  561.32  838.06 
/
 6  2  8  1  157.90  165.12  180.11  200.08  224.45 
             252.51  283.72  317.68  353.99  392.50 
             433.17  475.93  520.78  567.72  616.80 
             668.06  723.34  965.23 1540.19 
/
 6  3  1  1  293.63  289.92  286.83  286.93  287.65 
             288.91  290.55  292.54  294.88  297.49 
             300.39  303.58  307.06  310.81  314.82 
             319.11  323.71  344.53  398.37 
/
 6  3  2  1  291.38  286.02  282.33  282.42  283.24 
             284.56  286.29  288.38  290.82  293.60 
             296.67  300.03  303.68  307.62  311.88 
             316.38  321.15  342.96  398.85 
/
 6  3  3  1  281.79  263.98  261.13  261.33  262.52 
             264.38  266.74  269.59  272.85  276.53 
             280.58  284.99  289.76  294.86  300.26 
             305.99  312.02  338.93  405.98 
/
 6  3  4  1  272.65  246.53  244.48  245.01  246.66 
             249.08  252.14  255.77  259.91  264.53 
             269.60  275.11  281.04  287.35  294.04 
             301.09  308.50  341.30  419.53 
/
 6  3  5  1  254.75  223.08  221.54  222.84  225.53 
             229.16  233.67  238.90  244.78  251.26 
             258.31  265.86  273.90  282.39  291.68 
             301.04  310.77  353.27  454.93 
/
 6  3  6  1  202.12  194.93  195.88  199.17  203.89 
             209.78  216.93  225.16  234.34  244.24 
             254.92  266.33  278.41  290.90  304.27 
             317.88  332.00  393.31  536.43 
/
 6  3  7  1  172.08  171.69  176.42  184.64  195.31 
             207.81  221.85  237.21  253.75  271.36 
             289.94  309.42  329.75  350.88  372.80 
             395.49  420.47  527.60  777.82 
/
 6  3  8  1  158.68  165.20  178.48  196.13  217.68 
             242.54  270.25  300.32  332.49  366.65 
             402.68  440.53  480.16  521.56  564.75 
             609.75  656.62  870.05 1372.45 
/
 6  4  1  1  299.73  295.67  292.70  292.77  293.51 
             294.71  296.29  298.21  300.44  302.97 
             305.79  308.89  312.27  315.92  319.84 
             324.03  328.52  348.90  401.77 
/
 6  4  2  1  297.63  292.71  288.63  288.66  289.43 
             290.68  292.33  294.34  296.68  299.34 
             302.29  305.55  309.08  312.93  317.03 
             321.40  326.04  347.29  401.96 
/
 6  4  3  1  288.75  272.31  268.70  268.83  269.93 
             271.61  273.80  276.46  279.51  282.97 
             286.77  290.93  295.42  300.24  305.39 
             310.81  316.55  342.28  406.93 
/
 6  4  4  1  280.40  254.37  252.37  252.80  254.28 
             256.50  259.30  262.64  266.46  270.74 
             275.45  280.58  286.10  292.00  298.28 
             304.92  311.90  342.84  417.42 
/
 6  4  5  1  263.93  231.03  229.29  230.40  232.81 
             236.15  240.25  245.00  250.41  256.32 
             262.84  269.86  277.36  285.30  293.66 
             302.42  311.56  351.65  447.83 
/
 6  4  6  1  209.74  201.99  202.18  205.03  209.27 
             214.67  221.06  228.45  236.61  245.67 
             255.33  265.66  276.84  288.38  300.48 
             313.10  326.22  382.91  515.59 
/
 6  4  7  1  176.17  175.39  179.28  186.17  195.33 
             206.32  218.81  232.55  247.41  263.24 
             279.98  297.55  315.90  334.98  354.77 
             375.29  398.29  494.87  719.76 
/
 6  4  8  1  160.30  165.42  177.11  192.56  211.42 
             233.24  257.49  283.82  312.05  342.02 
             373.63  406.79  441.47  477.64  515.29 
             554.45  595.12  779.49 1215.17 
/
 6  5  1  1  306.54  301.87  299.08  298.93  299.61 
             300.75  302.26  304.11  306.27  308.72 
             311.45  314.47  317.79  321.35  325.16 
             329.24  333.59  353.50  405.38 
/
 6  5  2  1  304.66  299.23  295.37  295.30  295.98 
             297.15  298.72  300.64  302.88  305.44 
             308.28  311.42  314.84  318.54  322.50 
             326.74  331.29  351.91  405.34 
/
 6  5  3  1  296.62  281.76  277.02  277.02  277.95 
             279.48  281.53  283.98  286.81  290.04 
             293.60  297.52  301.74  306.30  311.14 
             316.30  321.72  346.29  408.37 
/
 6  5  4  1  289.12  263.33  261.14  261.49  262.83 
             264.83  267.40  270.45  273.96  277.90 
             282.25  286.99  292.12  297.62  303.47 
             309.64  316.16  345.19  416.07 
/
 6  5  5  1  274.23  240.25  238.33  239.17  241.22 
             244.14  247.77  252.04  256.89  262.29 
             268.20  274.59  281.44  288.72  296.41 
             304.49  312.95  350.30  440.43 
/
 6  5  6  1  226.92  210.78  210.16  212.45  216.14 
             220.87  226.52  233.08  240.44  248.54 
             257.32  266.52  276.51  287.08  298.18 
             309.43  321.51  373.36  495.40 
/
 6  5  7  1  181.46  180.27  183.35  189.10  196.82 
             206.19  216.99  229.02  242.11  256.13 
             271.00  286.64  302.99  320.03  337.71 
             357.30  377.82  464.28  663.87 
/
 6  5  8  1  163.12  165.92  176.03  189.42  205.73 
             224.59  245.52  268.31  292.75  318.71 
             346.06  374.75  404.72  435.93  468.38 
             502.05  536.96  693.57 1070.08 
/
 6  6  1  1  313.41  308.30  305.60  305.47  306.06 
             307.13  308.56  310.33  312.40  314.77 
             317.42  320.34  323.53  326.98  330.70 
             334.67  338.90  358.43  409.20 
/
 6  6  2  1  311.80  306.01  302.46  302.28  302.87 
             303.96  305.44  307.26  309.41  311.86 
             314.60  317.62  320.92  324.50  328.33 
             332.44  336.80  356.91  408.98 
/
 6  6  3  1  304.74  292.29  286.07  285.93  286.71 
             288.09  289.93  292.22  294.85  297.83 
             301.15  304.82  308.77  313.03  317.62 
             322.46  327.63  350.97  410.51 
/
 6  6  4  1  298.20  275.61  270.91  271.20  272.40 
             274.21  276.54  279.34  282.55  286.16 
             290.16  294.52  299.23  304.30  309.70 
             315.40  321.44  348.58  415.62 
/
 6  6  5  1  285.15  250.95  248.94  249.53  251.26 
             253.77  256.93  260.67  264.96  269.74 
             275.00  280.71  286.86  293.42  300.37 
             307.71  315.42  349.67  433.40 
/
 6  6  6  1  253.06  221.84  220.26  221.95  225.06 
             229.09  234.03  239.73  246.26  253.33 
             260.99  269.45  278.21  287.79  297.53 
             307.70  318.74  365.66  477.18 
/
 6  6  7  1  188.50  186.90  189.18  193.84  200.21 
             208.03  217.10  227.30  238.50  250.58 
             263.48  277.11  291.42  306.84  323.55 
             341.09  358.80  435.24  611.94 
/
 6  6  8  1  167.09  167.97  175.78  187.00  200.84 
             216.85  234.64  254.01  274.81  296.91 
             320.19  344.60  370.07  396.58  424.10 
             452.61  482.13  612.64  931.38 
/
 6  7  1  1  320.11  314.88  312.58  312.32  312.77 
             313.76  315.12  316.81  318.81  321.09 
             323.65  326.47  329.57  332.92  336.54 
             340.40  344.52  363.51  413.28 
/
 6  7  2  1  318.80  312.98  309.85  309.57  310.07 
             311.08  312.48  314.21  316.26  318.61 
             321.24  324.15  327.33  330.78  334.49 
             338.46  342.69  362.14  413.02 
/
 6  7  3  1  312.91  303.23  296.02  295.59  296.23 
             297.44  299.16  301.22  303.64  306.40 
             309.48  312.87  316.60  320.58  324.86 
             329.46  334.30  356.44  413.27 
/
 6  7  4  1  307.44  289.14  282.48  282.51  283.46 
             285.01  287.05  289.56  292.43  295.70 
             299.31  303.29  307.57  312.21  317.15 
             322.42  327.99  353.12  416.12 
/
 6  7  5  1  296.50  263.42  261.43  261.82  263.25 
             265.39  268.11  271.35  275.08  279.27 
             283.89  288.93  294.37  300.20  306.41 
             312.98  319.90  350.92  427.86 
/
 6  7  6  1  275.00  234.83  233.15  234.34  236.78 
             240.21  244.34  249.25  254.81  260.97 
             267.70  274.95  282.70  290.91  299.57 
             308.65  318.13  359.78  460.20 
/
 6  7  7  1  201.34  196.23  197.74  201.35  206.42 
             212.71  220.09  228.45  237.71  247.78 
             259.16  271.45  284.27  297.90  311.98 
             326.70  341.67  407.94  561.32 
/
 6  7  8  1  172.93  172.90  178.02  186.64  197.79 
             210.84  225.46  241.45  258.67  276.99 
             296.32  316.60  337.77  359.78  382.62 
             406.26  430.70  538.01  801.15 
/
 6  8  1  1  326.38  321.46  319.39  319.13  319.61 
             320.55  321.86  323.49  325.41  327.61 
             330.08  332.82  335.82  339.07  342.57 
             346.33  350.33  368.82  417.39 
/
 6  8  2  1  325.41  320.00  317.62  317.24  317.66 
             318.58  319.88  321.53  323.48  325.72 
             328.25  331.04  334.10  337.43  341.01 
             344.84  348.94  367.81  417.29 
/
 6  8  3  1  320.85  312.73  306.70  306.09  306.58 
             307.63  309.13  311.00  313.27  315.81 
             318.66  321.81  325.25  328.97  332.97 
             337.25  341.84  362.70  416.85 
/
 6  8  4  1  316.57  304.18  295.54  295.28  295.97 
             297.25  299.01  301.18  303.77  306.66 
             309.90  313.46  317.38  321.56  326.05 
             330.87  335.95  359.12  418.00 
/
 6  8  5  1  308.01  281.58  276.19  276.46  277.64 
             279.44  281.76  284.54  287.75  291.36 
             295.37  299.75  304.50  309.61  315.07 
             320.86  326.99  354.85  424.35 
/
 6  8  6  1  291.00  251.47  249.45  250.13  251.98 
             254.65  258.00  261.97  266.51  271.58 
             277.14  283.19  289.70  296.65  304.01 
             311.78  319.93  356.14  444.20 
/
 6  8  7  1  225.04  211.51  211.29  213.83  217.70 
             222.66  228.62  235.46  243.12  251.69 
             260.88  270.73  281.23  292.32  303.98 
             316.20  328.94  384.36  513.55 
/
 6  8  8  1  182.22  181.32  184.65  190.66  198.69 
             208.42  219.63  232.10  245.65  260.16 
             275.55  291.74  308.67  326.31  344.63 
             363.58  383.17  471.43  682.07 
/
 6  9  1  1  331.96  327.88  326.17  326.02  326.53 
             327.47  328.75  330.33  332.20  334.34 
             336.73  339.39  342.29  345.44  348.84 
             352.48  356.37  374.34  421.70 
/
 6  9  2  1  331.33  326.89  324.95  324.70  325.17 
             326.09  327.37  328.96  330.84  333.00 
             335.43  338.12  341.06  344.26  347.71 
             351.40  355.35  373.57  421.53 
/
 6  9  3  1  328.24  321.86  318.06  317.48  317.81 
             318.71  320.03  321.72  323.74  326.07 
             328.70  331.61  334.80  338.26  341.99 
             345.99  350.25  369.88  421.22 
/
 6  9  4  1  325.29  316.91  310.08  309.56  310.00 
             311.03  312.51  314.39  316.62  319.18 
             322.06  325.28  328.76  332.53  336.58 
             340.91  345.52  366.68  421.30 
/
 6  9  5  1  319.37  304.60  294.26  294.31  295.28 
             296.71  298.62  300.94  303.67  306.72 
             310.16  313.90  317.99  322.38  327.12 
             332.16  337.48  361.82  423.66 
/
 6  9  6  1  307.53  273.06  271.06  271.37  272.67 
             274.66  277.21  280.26  283.78  287.74 
             292.13  296.92  302.11  307.69  313.64 
             319.95  326.62  356.65  431.56 
/
 6  9  7  1  278.63  235.52  233.91  235.10  237.67 
             241.19  245.58  250.70  256.49  262.91 
             269.92  277.48  285.56  294.13  303.16 
             312.63  322.99  366.64  471.72 
/
 6  9  8  1  201.68  197.00  198.67  202.42  207.65 
             214.14  221.74  230.36  239.89  250.26 
             261.39  273.23  285.92  299.99  314.93 
             330.15  345.85  414.34  574.45 
/
 6 10  1  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  2  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  3  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  4  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  5  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  6  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  7  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 6 10  8  1  340.30  339.32  339.25  339.74  340.55 
             341.64  342.97  344.55  346.37  348.42 
             350.71  353.22  355.97  358.96  362.17 
             365.61  369.28  386.26  431.20 
/
 7  1  1  1  304.81  301.92  299.77  299.94  300.75 
             302.03  303.68  305.68  307.99  310.62 
             313.53  316.74  320.23  324.00  328.04 
             332.35  336.94  357.99  412.52 
/
 7  1  2  1  302.38  298.39  295.50  295.54  296.39 
             297.73  299.48  301.59  304.04  306.81 
             309.92  313.31  316.99  320.96  325.21 
             329.75  334.60  356.59  413.45 
/
 7  1  3  1  292.50  276.70  274.60  274.83  276.05 
             277.96  280.38  283.29  286.62  290.38 
             294.52  299.02  303.88  309.09  314.62 
             320.44  326.58  354.26  423.53 
/
 7  1  4  1  283.47  260.42  258.46  259.06  260.80 
             263.33  266.52  270.29  274.60  279.41 
             284.69  290.42  296.58  303.16  310.13 
             317.48  325.21  359.26  441.17 
/
 7  1  5  1  266.04  238.36  237.02  238.50  241.34 
             245.29  250.08  255.65  261.90  268.80 
             276.29  284.34  292.91  301.96  311.48 
             321.83  332.23  377.79  486.90 
/
 7  1  6  1  218.47  212.85  214.11  217.71  222.87 
             229.31  236.90  245.65  255.73  266.69 
             278.50  290.97  304.20  318.15  332.84 
             347.84  363.42  431.91  593.15 
/
 7  1  7  1  192.83  192.58  198.04  207.46  219.58 
             233.82  249.87  267.51  286.57  306.93 
             328.50  351.18  374.94  399.72  425.53 
             453.37  482.82  609.06  910.61 
/
 7  1  8  1  181.29  188.23  203.70  224.80  250.81 
             280.96  314.71  351.58  391.20  433.48 
             478.31  525.64  575.46  627.81  682.75 
             741.84  803.66 1073.16 1728.53 
/
 7  2  1  1  309.36  306.62  304.73  304.91  305.72 
             306.97  308.59  310.54  312.81  315.37 
             318.23  321.37  324.79  328.49  332.46 
             336.69  341.19  361.82  415.47 
/
 7  2  2  1  307.04  303.54  300.67  300.73  301.57 
             302.88  304.58  306.64  309.03  311.75 
             314.76  318.06  321.65  325.52  329.68 
             334.10  338.81  360.39  416.10 
/
 7  2  3  1  297.64  282.91  280.72  280.90  282.03 
             283.79  286.10  288.84  292.02  295.58 
             299.52  303.82  308.46  313.44  318.72 
             324.32  330.22  356.93  424.10 
/
 7  2  4  1  289.15  266.54  264.63  265.16  266.77 
             269.12  272.10  275.63  279.67  284.19 
             289.17  294.57  300.40  306.63  313.24 
             320.23  327.57  360.04  438.73 
/
 7  2  5  1  272.65  244.29  242.79  244.13  246.80 
             250.41  254.83  260.02  265.87  272.35 
             279.19  286.75  294.82  303.69  312.73 
             322.21  332.09  375.51  479.14 
/
 7  2  6  1  224.88  217.67  218.39  221.60  226.25 
             232.27  239.41  247.58  256.78  266.80 
             277.64  289.08  301.44  314.24  327.97 
             342.01  356.61  420.48  570.60 
/
 7  2  7  1  195.70  195.12  199.79  207.90  218.67 
             231.50  246.05  262.10  279.47  298.06 
             317.75  338.49  360.20  382.86  406.43 
             431.60  459.00  574.64  849.45 
/
 7  2  8  1  182.15  188.22  202.04  220.82  243.98 
             270.88  301.01  333.89  369.25  406.98 
             446.96  489.11  533.42  579.88  628.54 
             679.43  734.78  974.72 1549.41 
/
 7  3  1  1  314.12  311.54  309.91  310.10  310.90 
             312.13  313.70  315.61  317.83  320.34 
             323.13  326.20  329.55  333.17  337.06 
             341.21  345.63  365.89  418.74 
/
 7  3  2  1  311.93  308.65  306.10  306.25  307.06 
             308.33  309.98  311.97  314.29  316.91 
             319.83  323.04  326.54  330.32  334.38 
             338.70  343.30  364.41  419.09 
/
 7  3  3  1  303.06  290.14  287.29  287.37  288.46 
             290.11  292.26  294.87  297.86  301.23 
             304.98  309.06  313.50  318.23  323.29 
             328.65  334.34  360.02  425.03 
/
 7  3  4  1  295.19  273.28  271.43  271.88  273.37 
             275.55  278.32  281.61  285.39  289.62 
             294.29  299.38  304.86  310.73  316.98 
             323.58  330.52  361.40  436.83 
/
 7  3  5  1  279.78  251.04  249.39  250.50  252.87 
             256.16  260.22  264.97  270.36  276.34 
             282.87  289.93  297.48  305.50  313.96 
             322.85  332.15  373.17  471.78 
/
 7  3  6  1  230.96  223.70  223.83  226.62  230.86 
             236.28  242.73  250.21  258.49  267.72 
             277.60  288.19  299.45  311.61  324.12 
             337.22  350.45  409.59  549.79 
/
 7  3  7  1  199.21  198.31  202.22  209.23  218.58 
             229.91  242.91  257.34  273.01  289.81 
             307.64  326.44  346.14  366.70  388.09 
             411.30  435.96  541.25  789.57 
/
 7  3  8  1  183.81  188.33  200.61  217.19  237.63 
             261.43  288.02  317.07  348.36  381.73 
             417.07  454.29  493.37  534.28  577.02 
             621.63  668.19  880.82 1380.51 
/
 7  4  1  1  320.18  317.11  315.52  315.66  316.40 
             317.58  319.11  320.96  323.12  325.56 
             328.28  331.29  334.56  338.10  341.91 
             345.97  350.30  370.19  422.04 
/
 7  4  2  1  318.13  314.45  311.97  312.08  312.84 
             314.06  315.65  317.57  319.82  322.36 
             325.20  328.32  331.72  335.40  339.35 
             343.57  348.11  368.70  422.31 
/
 7  4  3  1  309.79  297.97  294.42  294.42  295.42 
             296.95  298.96  301.40  304.22  307.43 
             310.96  314.85  319.05  323.55  328.39 
             333.51  338.96  363.59  426.36 
/
 7  4  4  1  302.57  280.70  278.93  279.32  280.68 
             282.69  285.26  288.32  291.84  295.79 
             300.15  304.91  310.04  315.55  321.41 
             327.62  334.15  363.37  435.47 
/
 7  4  5  1  288.35  258.75  256.98  257.86  259.94 
             262.88  266.53  270.82  275.72  281.16 
             287.13  293.60  300.55  307.94  315.77 
             324.02  332.66  370.97  463.89 
/
 7  4  6  1  243.12  230.99  230.41  232.75  236.51 
             241.35  247.20  253.85  261.40  269.73 
             278.78  288.52  298.66  309.63  321.19 
             333.31  345.55  400.03  529.64 
/
 7  4  7  1  203.60  202.36  205.53  211.51  219.57 
             229.40  240.76  253.49  267.42  282.41 
             298.36  315.22  332.91  351.39  370.63 
             391.91  414.22  508.90  731.70 
/
 7  4  8  1  186.21  188.78  199.44  213.94  231.78 
             252.56  275.77  301.17  328.56  357.76 
             388.66  421.19  455.30  490.97  528.16 
             566.91  607.21  790.98 1223.69 
/
 7  5  1  1  326.98  323.16  321.56  321.57  322.20 
             323.31  324.78  326.57  328.66  331.04 
             333.69  336.62  339.81  343.27  346.99 
             350.97  355.21  374.70  425.75 
/
 7  5  2  1  325.16  320.77  318.39  318.37  319.04 
             320.11  321.63  323.49  325.65  328.11 
             330.86  333.93  337.23  340.81  344.66 
             348.77  353.14  373.25  425.77 
/
 7  5  3  1  317.55  307.18  302.22  302.09  302.93 
             304.40  306.26  308.53  311.18  314.18 
             317.54  321.20  325.17  329.48  334.06 
             338.94  344.15  367.75  428.16 
/
 7  5  4  1  311.03  290.27  287.20  287.55  288.79 
             290.65  293.03  295.86  299.12  302.78 
             306.83  311.26  316.05  321.19  326.66 
             332.47  338.60  366.15  434.75 
/
 7  5  5  1  298.11  267.59  265.73  266.41  268.21 
             270.80  274.06  277.91  282.31  287.23 
             292.64  298.52  304.85  311.61  318.79 
             326.37  334.34  369.85  456.87 
/
 7  5  6  1  266.67  239.89  238.56  240.40  243.61 
             247.89  253.06  259.02  265.72  273.27 
             281.32  289.96  299.43  309.19  319.79 
             330.56  341.76  392.03  511.37 
/
 7  5  7  1  209.20  207.61  210.08  215.06  221.88 
             230.26  240.01  251.01  263.11  276.22 
             290.24  305.10  320.76  337.15  355.37 
             374.56  394.03  478.76  676.07 
/
 7  5  8  1  189.38  190.41  198.89  211.25  226.58 
             244.47  264.47  286.36  309.97  335.16 
             361.82  389.87  419.26  449.94  481.91 
             515.15  549.68  705.55 1078.96 
/
 7  6  1  1  333.83  329.42  327.72  327.64  328.25 
             329.29  330.70  332.42  334.44  336.75 
             339.33  342.18  345.29  348.67  352.30 
             356.19  360.33  379.43  429.49 
/
 7  6  2  1  332.28  327.34  325.14  324.97  325.46 
             326.53  327.96  329.74  331.82  334.19 
             336.85  339.78  342.99  346.46  350.20 
             354.20  358.46  378.06  429.43 
/
 7  6  3  1  325.58  316.97  310.64  310.46  311.17 
             312.44  314.16  316.27  318.74  321.56 
             324.72  328.17  331.93  335.99  340.37 
             345.02  349.95  372.49  430.46 
/
 7  6  4  1  319.85  302.05  296.84  296.99  298.02 
             299.66  301.83  304.39  307.36  310.74 
             314.49  318.56  323.01  327.76  332.86 
             338.28  343.99  369.85  434.78 
/
 7  6  5  1  308.46  277.74  275.87  276.37  277.91 
             280.18  283.05  286.47  290.39  294.79 
             299.65  304.94  310.66  316.78  323.30 
             330.20  337.48  370.10  450.87 
/
 7  6  6  1  286.47  250.02  248.62  249.99  252.67 
             256.31  260.83  266.10  272.06  278.65 
             285.86  293.62  301.92  310.73  320.01 
             329.75  339.93  385.34  494.10 
/
 7  6  7  1  217.37  214.62  216.41  220.44  226.05 
             233.03  241.20  250.48  260.76  271.95 
             283.98  296.80  311.15  326.47  342.21 
             358.83  375.86  449.73  624.49 
/
 7  6  8  1  193.76  193.99  199.97  209.89  222.63 
             237.60  254.45  272.93  292.90  314.22 
             336.80  360.56  385.44  411.40  438.42 
             466.48  495.57  625.32  942.39 
/
 7  7  1  1  340.51  335.82  334.01  333.88  334.44 
             335.44  336.79  338.46  340.42  342.66 
             345.17  347.94  350.97  354.26  357.81 
             361.60  365.64  384.30  433.36 
/
 7  7  2  1  339.26  334.10  331.99  331.74  332.25 
             333.23  334.59  336.29  338.28  340.57 
             343.13  345.97  349.07  352.44  356.07 
             359.96  364.10  383.20  433.32 
/
 7  7  3  1  333.67  325.71  319.85  319.51  320.07 
             321.19  322.76  324.71  327.01  329.63 
             332.57  335.82  339.36  343.20  347.36 
             351.75  356.43  377.93  433.45 
/
 7  7  4  1  328.84  315.12  307.62  307.55  308.37 
             309.79  311.73  314.04  316.73  319.81 
             323.22  326.96  331.06  335.44  340.17 
             345.17  350.50  374.59  435.92 
/
 7  7  5  1  319.23  289.46  287.66  288.03  289.34 
             291.31  293.82  296.83  300.29  304.19 
             308.51  313.22  318.33  323.82  329.67 
             335.89  342.46  372.20  446.33 
/
 7  7  6  1  300.39  262.60  260.85  261.80  263.97 
             267.02  270.82  275.28  280.37  286.04 
             292.26  299.00  306.25  313.97  322.15 
             330.76  339.80  379.86  477.09 
/
 7  7  7  1  232.48  224.59  225.43  228.56  233.02 
             238.64  245.28  253.06  261.97  271.75 
             282.33  293.66  305.55  318.33  331.83 
             345.72  360.59  424.28  574.61 
/
 7  7  8  1  200.10  199.59  203.86  211.25  221.05 
             232.92  246.50  261.55  277.91  295.42 
             314.02  333.62  354.17  375.61  397.92 
             421.08  445.07  551.51  812.83 
/
 7  8  1  1  346.74  342.22  340.44  340.30  340.84 
             341.81  343.12  344.74  346.64  348.82 
             351.26  353.95  356.91  360.11  363.56 
             367.27  371.21  389.44  437.47 
/
 7  8  2  1  345.82  340.89  338.86  338.62  339.11 
             340.07  341.38  343.01  344.94  347.15 
             349.63  352.37  355.37  358.64  362.15 
             365.92  369.93  388.49  437.31 
/
 7  8  3  1  341.52  334.31  329.65  329.18  329.62 
             330.61  332.03  333.82  335.95  338.40 
             341.15  344.19  347.52  351.14  355.07 
             359.22  363.65  384.02  437.14 
/
 7  8  4  1  337.71  328.04  319.72  319.39  319.99 
             321.18  322.83  324.88  327.34  330.10 
             333.19  336.60  340.35  344.37  348.69 
             353.29  358.23  380.61  438.08 
/
 7  8  5  1  330.14  308.07  301.45  301.74  302.86 
             304.56  306.75  309.38  312.41  315.83 
             319.62  323.78  328.30  333.17  338.39 
             343.95  349.83  376.52  443.87 
/
 7  8  6  1  315.15  278.44  276.50  277.05  278.70 
             281.11  284.16  287.78  291.94  296.61 
             301.76  307.37  313.43  319.92  326.83 
             334.15  341.86  376.38  461.69 
/
 7  8  7  1  263.77  240.78  239.70  241.79  245.23 
             249.73  255.15  261.40  268.53  276.44 
             284.89  294.19  304.16  314.46  325.62 
             337.37  349.25  402.45  529.51 
/
 7  8  8  1  209.99  208.70  211.43  216.65  223.76 
             232.48  242.62  254.04  266.62  280.23 
             294.80  310.23  326.48  343.49  361.22 
             379.65  398.75  486.95  694.44 
/
 7  9  1  1  352.26  348.44  346.91  346.85  347.40 
             348.36  349.65  351.23  353.08  355.20 
             357.58  360.21  363.08  366.21  369.57 
             373.18  377.03  394.83  441.82 
/
 7  9  2  1  351.67  347.55  345.83  345.68  346.20 
             347.14  348.43  350.01  351.88  354.02 
             356.42  359.08  361.99  365.15  368.55 
             372.21  376.10  394.11  441.63 
/
 7  9  3  1  348.80  342.99  340.20  339.61  339.92 
             340.79  342.06  343.70  345.67  347.93 
             350.49  353.34  356.45  359.84  363.50 
             367.42  371.60  390.89  441.49 
/
 7  9  4  1  346.14  338.57  333.23  332.62  332.99 
             333.94  335.35  337.14  339.29  341.75 
             344.53  347.62  350.99  354.65  358.59 
             362.80  367.29  387.95  441.58 
/
 7  9  5  1  340.87  329.43  318.98  318.74  319.57 
             320.90  322.68  324.86  327.46  330.37 
             333.63  337.24  341.15  345.41  349.94 
             354.81  359.95  383.51  443.78 
/
 7  9  6  1  330.36  299.61  296.83  297.12  298.33 
             300.19  302.57  305.43  308.73  312.45 
             316.59  321.12  326.02  331.31  336.97 
             342.98  349.34  378.16  451.21 
/
 7  9  7  1  304.79  263.41  261.67  262.72  265.03 
             268.26  272.27  276.99  282.36  288.35 
             294.92  302.05  309.70  317.86  326.50 
             335.59  345.13  387.40  489.72 
/
 7  9  8  1  233.33  225.10  226.38  229.64  234.27 
             240.06  246.92  254.74  263.47  273.04 
             283.40  295.29  307.79  321.22  335.04 
             349.57  364.42  430.79  587.85 
/
 7 10  1  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  2  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  3  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  4  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  5  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  6  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  7  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 7 10  8  1  360.40  359.42  359.35  359.84  360.65 
             361.74  363.07  364.65  366.46  368.51 
             370.80  373.32  376.07  379.05  382.26 
             385.70  389.37  406.33  451.25 
/
 8  1  1  1  325.09  323.08  322.19  322.40  323.21 
             324.48  326.09  328.03  330.28  332.82 
             335.65  338.77  342.16  345.83  349.77 
             353.97  358.45  379.00  432.59 
/
 8  1  2  1  322.67  320.10  318.36  318.58  319.44 
             320.75  322.43  324.46  326.82  329.48 
             332.44  335.70  339.26  343.09  347.21 
             351.61  356.27  377.69  433.41 
/
 8  1  3  1  313.21  301.68  299.77  299.96  301.07 
             302.79  305.01  307.70  310.79  314.28 
             318.12  322.33  326.87  331.76  336.96 
             342.52  348.37  374.93  442.40 
/
 8  1  4  1  305.33  286.07  284.32  284.86  286.45 
             288.77  291.69  295.16  299.13  303.59 
             308.50  313.85  319.60  325.76  332.31 
             339.22  346.47  378.75  458.31 
/
 8  1  5  1  290.11  264.96  263.54  264.85  267.46 
             271.03  275.42  280.55  286.36  292.80 
             299.82  307.42  315.55  324.18  333.29 
             342.87  352.89  397.16  503.30 
/
 8  1  6  1  246.58  239.88  240.50  243.67  248.37 
             254.42  261.56  269.80  279.03  289.21 
             300.27  311.99  324.69  337.88  351.73 
             366.22  381.75  447.87  606.51 
/
 8  1  7  1  218.77  218.11  222.79  230.99  241.91 
             255.11  270.21  286.99  305.25  324.86 
             345.73  367.78  390.96  415.23  440.86 
             469.01  497.65  622.74  922.37 
/
 8  1  8  1  205.45  211.09  225.50  245.46  270.32 
             299.37  332.05  367.89  406.66  448.19 
             492.37  539.12  588.45  640.36  694.92 
             754.02  815.49 1083.47 1737.05 
/
 8  2  1  1  329.63  327.70  326.90  327.18  328.00 
             329.24  330.81  332.71  334.92  337.42 
             340.19  343.25  346.59  350.19  354.06 
             358.20  362.60  382.83  435.66 
/
 8  2  2  1  327.31  324.87  323.35  323.58  324.42 
             325.70  327.34  329.32  331.62  334.22 
             337.13  340.31  343.79  347.54  351.58 
             355.89  360.46  381.48  436.29 
/
 8  2  3  1  318.21  307.68  305.54  305.72  306.76 
             308.40  310.51  313.08  316.02  319.34 
             323.03  327.05  331.43  336.12  341.12 
             346.47  352.12  377.79  443.15 
/
 8  2  4  1  310.79  291.96  290.27  290.77  292.26 
             294.43  297.18  300.45  304.20  308.41 
             313.05  318.10  323.55  329.39  335.60 
             342.17  349.08  379.92  456.36 
/
 8  2  5  1  296.35  270.78  269.26  270.38  272.73 
             276.00  280.03  284.76  290.13  296.10 
             302.63  309.71  317.30  325.38  333.92 
             342.92  352.35  394.15  495.09 
/
 8  2  6  1  251.77  245.05  245.16  247.99  252.28 
             257.73  264.28  271.90  280.36  289.69 
             299.82  310.91  322.54  334.85  347.81 
             361.40  375.18  437.04  585.69 
/
 8  2  7  1  221.82  220.87  224.85  232.05  241.69 
             253.42  266.97  282.12  298.67  316.48 
             335.47  355.55  376.67  398.79  422.04 
             447.60  474.20  587.99  861.60 
/
 8  2  8  1  207.01  211.06  223.98  241.75  263.85 
             289.73  318.78  350.69  385.23  422.22 
             461.53  503.10  546.89  592.91  641.16 
             692.09  747.11  985.90 1558.19 
/
 8  3  1  1  334.37  332.53  331.81  332.11  332.94 
             334.17  335.73  337.59  339.75  342.20 
             344.93  347.93  351.20  354.73  358.54 
             362.60  366.93  386.83  438.88 
/
 8  3  2  1  332.18  329.86  328.57  328.80  329.62 
             330.87  332.48  334.41  336.66  339.20 
             342.03  345.14  348.54  352.21  356.16 
             360.38  364.86  385.47  439.19 
/
 8  3  3  1  323.51  314.54  311.73  311.89  312.87 
             314.42  316.42  318.87  321.67  324.83 
             328.36  332.21  336.38  340.90  345.71 
             350.84  356.30  381.03  444.35 
/
 8  3  4  1  316.60  298.41  296.80  297.25  298.64 
             300.67  303.25  306.32  309.83  313.79 
             318.15  322.92  328.07  333.58  339.46 
             345.67  352.23  381.62  454.94 
/
 8  3  5  1  303.08  277.37  275.75  276.68  278.79 
             281.75  285.43  289.77  294.70  300.20 
             306.24  312.79  319.84  327.35  335.32 
             343.73  352.55  391.83  487.37 
/
 8  3  6  1  260.19  251.28  250.76  253.13  256.98 
             261.93  267.94  274.78  282.55  291.15 
             300.52  310.40  321.16  332.58  344.30 
             356.91  370.13  427.45  564.29 
/
 8  3  7  1  225.52  224.28  227.60  233.83  242.26 
             252.58  264.56  278.02  292.82  308.83 
             325.92  344.04  363.12  383.11  404.28 
             427.75  451.57  554.92  802.04 
/
 8  3  8  1  209.04  211.48  222.70  238.37  257.84 
             280.63  306.24  334.40  364.89  397.53 
             432.20  468.83  507.37  547.81  590.14 
             634.37  681.44  891.76 1389.71 
/
 8  4  1  1  340.42  338.01  337.15  337.40  338.19 
             339.38  340.90  342.72  344.83  347.22 
             349.89  352.82  356.03  359.49  363.22 
             367.21  371.46  391.00  442.21 
/
 8  4  2  1  338.36  335.53  334.30  334.41  335.18 
             336.38  337.93  339.80  341.98  344.45 
             347.21  350.25  353.56  357.15  361.01 
             365.13  369.52  389.71  442.45 
/
 8  4  3  1  330.09  322.19  318.54  318.55  319.46 
             320.95  322.84  325.13  327.78  330.79 
             334.16  337.83  341.83  346.13  350.78 
             355.69  360.91  384.77  445.95 
/
 8  4  4  1  323.72  305.88  304.05  304.42  305.70 
             307.58  309.98  312.84  316.12  319.82 
             323.92  328.40  333.23  338.42  343.97 
             349.85  356.06  383.95  454.06 
/
 8  4  5  1  311.21  284.83  283.14  283.90  285.78 
             288.44  291.77  295.71  300.22  305.26 
             310.80  316.82  323.32  330.27  337.65 
             345.45  353.66  390.36  480.29 
/
 8  4  6  1  279.52  258.54  257.44  259.42  262.78 
             267.23  272.60  278.82  285.80  293.66 
             302.07  311.34  321.01  331.26  342.38 
             353.71  365.95  418.61  545.86 
/
 8  4  7  1  230.11  228.58  231.25  236.55  243.81 
             252.76  263.20  274.99  288.02  302.16 
             317.34  333.46  350.50  368.38  388.23 
             409.16  430.46  523.52  744.34 
/
 8  4  8  1  211.65  212.85  221.98  235.49  252.40 
             272.23  294.55  319.10  345.68  374.16 
             404.40  436.33  469.89  505.06  541.82 
             580.17  620.12  802.44 1234.47 
/
 8  5  1  1  347.23  343.96  342.84  343.00  343.73 
             344.86  346.33  348.10  350.15  352.49 
             355.09  357.96  361.10  364.49  368.14 
             372.05  376.21  395.39  445.74 
/
 8  5  2  1  345.41  341.74  340.34  340.38  341.07 
             342.20  343.68  345.49  347.59  349.99 
             352.67  355.63  358.86  362.35  366.12 
             370.14  374.44  394.18  445.91 
/
 8  5  3  1  337.86  330.92  325.88  325.86  326.66 
             327.99  329.76  331.92  334.43  337.31 
             340.49  343.98  347.79  351.91  356.35 
             361.06  366.06  388.94  447.98 
/
 8  5  4  1  332.05  315.47  312.21  312.45  313.60 
             315.30  317.49  320.14  323.19  326.64 
             330.45  334.64  339.17  344.04  349.24 
             354.78  360.61  387.02  453.80 
/
 8  5  5  1  320.62  293.32  291.60  292.20  293.85 
             296.22  299.23  302.78  306.87  311.44 
             316.50  322.01  327.95  334.32  341.11 
             348.30  355.88  389.93  474.10 
/
 8  5  6  1  298.89  266.71  265.58  267.15  269.99 
             273.93  278.65  284.23  290.53  297.50 
             305.12  313.34  322.13  331.77  341.66 
             352.04  362.90  411.40  527.20 
/
 8  5  7  1  235.92  234.09  236.13  240.55  246.69 
             254.30  263.25  273.40  284.67  296.96 
             310.19  324.31  339.25  356.22  373.68 
             392.17  410.96  493.88  688.90 
/
 8  5  8  1  215.09  215.58  222.40  233.58  247.90 
             264.81  283.91  304.96  327.78  352.25 
             378.24  405.68  434.51  464.68  496.19 
             529.02  563.16  718.32 1089.89 
/
 8  6  1  1  354.09  350.13  348.76  348.82  349.50 
             350.57  351.99  353.70  355.70  357.98 
             360.52  363.33  366.39  369.71  373.28 
             377.11  381.19  400.00  449.47 
/
 8  6  2  1  352.55  348.20  346.57  346.54  347.16 
             348.23  349.66  351.40  353.44  355.76 
             358.37  361.24  364.38  367.78  371.45 
             375.38  379.56  398.84  449.47 
/
 8  6  3  1  345.93  338.96  333.91  333.75  334.42 
             335.64  337.27  339.29  341.65  344.35 
             347.36  350.72  354.34  358.26  362.47 
             366.96  371.74  393.69  450.62 
/
 8  6  4  1  340.75  326.81  321.35  321.41  322.40 
             323.91  325.89  328.31  331.13  334.31 
             337.86  341.74  345.95  350.51  355.36 
             360.55  366.02  390.89  454.37 
/
 8  6  5  1  330.63  303.01  301.31  301.78  303.22 
             305.32  308.00  311.20  314.87  319.00 
             323.57  328.56  333.95  339.76  345.95 
             352.53  359.47  390.89  469.05 
/
 8  6  6  1  311.06  276.63  275.16  276.36  278.80 
             282.17  286.33  291.20  296.75  302.93 
             309.69  317.03  324.91  333.30  342.18 
             351.54  361.35  404.88  510.72 
/
 8  6  7  1  246.66  241.34  242.78  246.36  251.42 
             257.75  265.24  273.79  283.33  293.78 
             305.51  318.41  332.12  346.43  361.49 
             377.30  393.85  466.37  637.78 
/
 8  6  8  1  219.77  219.60  224.75  233.45  244.98 
             258.88  274.77  292.38  311.55  332.12 
             354.01  377.14  401.45  426.88  453.42 
             481.04  509.73  639.40  952.97 
/
 8  7  1  1  360.76  356.42  354.88  354.87  355.48 
             356.51  357.88  359.54  361.48  363.70 
             366.18  368.92  371.91  375.16  378.65 
             382.40  386.40  404.83  453.41 
/
 8  7  2  1  359.54  354.83  353.05  352.94  353.52 
             354.54  355.91  357.59  359.56  361.81 
             364.34  367.13  370.18  373.50  377.06 
             380.89  384.97  403.77  453.27 
/
 8  7  3  1  354.05  347.03  342.69  342.23  342.77 
             343.86  345.37  347.25  349.47  352.01 
             354.89  358.03  361.47  365.20  369.20 
             373.49  378.04  399.06  453.73 
/
 8  7  4  1  349.64  339.50  331.62  331.44  332.17 
             333.49  335.27  337.46  340.06  342.97 
             346.22  349.81  353.74  357.95  362.47 
             367.31  372.43  395.73  455.76 
/
 8  7  5  1  341.04  314.86  312.52  312.89  314.14 
             316.00  318.38  321.22  324.50  328.20 
             332.29  336.78  341.65  346.88  352.48 
             358.44  364.77  393.45  465.32 
/
 8  7  6  1  324.22  288.81  287.08  287.90  289.85 
             292.63  296.10  300.21  304.91  310.17 
             315.96  322.26  329.06  336.33  344.05 
             352.22  360.82  399.24  493.87 
/
 8  7  7  1  259.64  252.24  252.34  255.08  259.17 
             264.44  270.73  277.99  286.25  295.28 
             305.28  315.91  327.30  339.65  352.44 
             365.88  379.94  441.61  590.14 
/
 8  7  8  1  226.48  225.63  229.30  235.89  244.75 
             255.56  268.11  282.21  297.69  314.43 
             332.29  351.23  371.16  392.05  413.85 
             436.54  460.09  566.24  825.25 
/
 8  8  1  1  366.98  362.71  361.13  361.09  361.67 
             362.66  363.98  365.59  367.49  369.65 
             372.07  374.74  377.66  380.84  384.26 
             387.92  391.83  409.89  457.56 
/
 8  8  2  1  366.09  361.49  359.71  359.58  360.12 
             361.10  362.42  364.05  365.96  368.14 
             370.60  373.31  376.27  379.50  382.97 
             386.69  390.66  409.00  457.36 
/
 8  8  3  1  361.92  355.38  352.00  351.49  351.88 
             352.83  354.20  355.92  357.99  360.36 
             363.04  366.00  369.25  372.78  376.59 
             380.66  385.00  405.00  457.34 
/
 8  8  4  1  358.41  349.69  342.95  342.54  343.07 
             344.19  345.75  347.72  350.04  352.73 
             355.71  359.00  362.60  366.49  370.67 
             375.18  379.93  401.74  458.18 
/
 8  8  5  1  351.59  333.77  325.52  325.84  326.94 
             328.59  330.68  333.21  336.12  339.40 
             343.05  347.05  351.40  356.08  361.10 
             366.46  372.13  397.94  463.47 
/
 8  8  6  1  338.13  303.94  302.12  302.61  304.13 
             306.37  309.20  312.59  316.48  320.86 
             325.70  331.00  336.72  342.88  349.45 
             356.42  363.78  396.97  479.96 
/
 8  8  7  1  303.17  268.15  266.87  268.57  271.67 
             275.84  280.89  286.77  293.40  300.75 
             308.77  317.65  326.95  336.83  347.59 
             358.57  370.49  421.92  546.45 
/
 8  8  8  1  236.78  235.24  237.52  242.18  248.59 
             256.52  265.83  276.41  288.14  300.92 
             314.70  329.39  344.93  361.30  378.44 
             396.32  414.93  502.10  707.41 
/
 8  9  1  1  372.47  368.82  367.42  367.42  368.00 
             368.97  370.27  371.85  373.70  375.81 
             378.17  380.78  383.64  386.74  390.09 
             393.67  397.50  415.19  461.94 
/
 8  9  2  1  371.91  368.00  366.44  366.37  366.92 
             367.88  369.18  370.76  372.62  374.75 
             377.13  379.77  382.65  385.78  389.16 
             392.78  396.65  414.52  461.73 
/
 8  9  3  1  369.16  363.79  361.30  360.85  361.22 
             362.11  363.40  365.02  366.96  369.20 
             371.71  374.51  377.57  380.90  384.49 
             388.35  392.46  411.45  461.41 
/
 8  9  4  1  366.71  359.75  355.67  354.86  355.19 
             356.10  357.46  359.19  361.27  363.67 
             366.38  369.38  372.67  376.25  380.10 
             384.22  388.61  408.90  461.78 
/
 8  9  5  1  361.93  351.91  342.49  342.24  342.89 
             344.13  345.82  347.96  350.41  353.22 
             356.36  359.86  363.65  367.75  372.18 
             376.88  381.88  404.86  463.99 
/
 8  9  6  1  352.43  325.89  321.36  321.65  322.82 
             324.59  326.86  329.58  332.73  336.29 
             340.24  344.58  349.29  354.36  359.79 
             365.58  371.71  399.61  471.06 
/
 8  9  7  1  329.38  289.78  288.01  288.90  290.98 
             293.92  297.60  301.94  306.92  312.48 
             318.61  325.27  332.46  340.15  348.33 
             356.97  366.05  406.64  506.27 
/
 8  9  8  1  260.64  252.72  253.07  255.97  260.16 
             265.44  271.73  278.96  287.40  296.76 
             307.09  318.14  329.97  342.34  355.66 
             369.74  384.21  448.24  602.32 
/
 8 10  1  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  2  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  3  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  4  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  5  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  6  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  7  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 8 10  8  1  380.49  379.52  379.45  379.94  380.75 
             381.83  383.17  384.74  386.56  388.61 
             390.89  393.41  396.16  399.14  402.34 
             405.78  409.45  426.41  471.31 
/
 9  1  1  1  345.29  343.78  343.30  343.72  344.63 
             345.92  347.53  349.45  351.67  354.17 
             356.95  360.00  363.33  366.93  370.79 
             374.93  379.33  399.56  452.54 
/
 9  1  2  1  342.80  340.98  340.24  340.56  341.44 
             342.74  344.39  346.37  348.67  351.26 
             354.14  357.32  360.79  364.54  368.56 
             372.86  377.44  398.48  453.44 
/
 9  1  3  1  333.26  325.22  323.57  323.74  324.80 
             326.46  328.54  331.06  333.96  337.24 
             340.89  344.89  349.24  353.90  358.90 
             364.23  369.87  395.56  461.53 
/
 9  1  4  1  326.27  310.40  308.90  309.45  310.95 
             313.12  315.87  319.12  322.84  327.02 
             331.63  336.66  342.09  347.90  354.08 
             360.63  367.54  398.39  476.17 
/
 9  1  5  1  312.78  290.27  288.89  290.04  292.40 
             295.66  299.69  304.41  309.78  315.77 
             322.34  329.45  337.10  345.26  353.91 
             363.03  372.61  415.30  518.54 
/
 9  1  6  1  272.21  266.12  266.22  269.09  273.41 
             279.01  285.71  293.44  302.12  311.70 
             322.13  333.36  345.36  358.08  371.51 
             385.62  400.39  464.68  620.73 
/
 9  1  7  1  244.03  243.10  247.21  254.64  264.63 
             276.84  290.99  306.90  324.37  343.25 
             363.45  384.89  407.50  431.25  457.32 
             484.73  513.15  636.39  934.84 
/
 9  1  8  1  229.87  233.72  247.27  266.27  290.12 
             318.15  349.80  384.75  422.73  463.56 
             507.10  553.31  602.15  653.66  708.19 
             766.94  828.20 1094.02 1746.57 
/
 9  2  1  1  349.83  348.36  347.93  348.36  349.27 
             350.54  352.14  354.02  356.20  358.66 
             361.39  364.40  367.67  371.22  375.02 
             379.09  383.42  403.35  455.59 
/
 9  2  2  1  347.45  345.69  345.01  345.35  346.23 
             347.51  349.13  351.07  353.32  355.87 
             358.70  361.82  365.22  368.89  372.84 
             377.06  381.56  402.22  456.29 
/
 9  2  3  1  338.21  331.04  329.05  329.28  330.29 
             331.84  333.84  336.27  339.06  342.21 
             345.71  349.57  353.74  358.24  363.06 
             368.22  373.66  398.54  462.62 
/
 9  2  4  1  331.57  316.17  314.68  315.20  316.61 
             318.66  321.24  324.31  327.83  331.78 
             336.15  340.93  346.08  351.61  357.50 
             363.74  370.32  399.86  474.70 
/
 9  2  5  1  318.74  295.98  294.53  295.52  297.67 
             300.66  304.38  308.75  313.74  319.31 
             325.42  332.06  339.22  346.86  354.98 
             363.55  372.57  412.86  510.88 
/
 9  2  6  1  277.40  271.53  270.99  273.48  277.44 
             282.54  288.65  295.79  303.72  312.58 
             322.28  332.53  343.70  355.57  367.80 
             380.97  394.78  455.02  600.54 
/
 9  2  7  1  247.20  246.02  249.50  256.02  264.86 
             275.70  288.33  302.58  318.30  335.36 
             353.66  373.10  393.64  415.23  439.02 
             464.07  490.05  602.51  873.00 
/
 9  2  8  1  231.62  234.07  245.89  262.77  283.94 
             308.83  336.96  368.02  401.78  438.07 
             476.75  517.76  561.06  606.63  654.49 
             705.46  760.16  997.78 1567.86 
/
 9  3  1  1  354.56  353.14  352.76  353.20  354.10 
             355.36  356.92  358.78  360.92  363.34 
             366.03  368.98  372.20  375.68  379.43 
             383.43  387.69  407.31  458.79 
/
 9  3  2  1  352.31  350.62  350.01  350.37  351.24 
             352.50  354.09  355.99  358.20  360.69 
             363.46  366.51  369.84  373.44  377.31 
             381.45  385.86  406.13  459.24 
/
 9  3  3  1  343.47  337.78  334.99  335.20  336.15 
             337.63  339.54  341.85  344.52  347.56 
             350.92  354.61  358.62  362.98  367.62 
             372.57  377.83  401.87  463.91 
/
 9  3  4  1  337.23  322.68  321.15  321.56  322.84 
             324.74  327.16  330.04  333.36  337.10 
             341.22  345.73  350.62  355.85  361.44 
             367.37  373.64  401.88  473.55 
/
 9  3  5  1  325.18  302.40  300.89  301.74  303.68 
             306.41  309.82  313.84  318.45  323.59 
             329.26  335.44  342.08  349.21  356.78 
             364.80  373.24  411.11  503.80 
/
 9  3  6  1  293.32  277.48  276.69  278.76  282.27 
             286.90  292.49  298.96  306.25  314.29 
             323.23  332.70  343.07  353.82  365.15 
             377.42  389.88  445.38  580.86 
/
 9  3  7  1  251.04  249.60  252.48  258.12  265.84 
             275.37  286.51  299.14  313.11  328.33 
             344.69  362.13  380.59  400.05  421.86 
             444.59  467.78  569.73  813.85 
/
 9  3  8  1  233.80  235.21  244.99  259.70  278.26 
             300.15  324.89  352.22  381.95  413.89 
             447.93  484.00  522.03  562.01  603.94 
             647.82  694.96  904.14 1401.12 
/
 9  4  1  1  360.59  358.56  358.01  358.39  359.24 
             360.46  361.99  363.80  365.89  368.26 
             370.90  373.80  376.96  380.38  384.05 
             387.99  392.18  411.48  462.19 
/
 9  4  2  1  358.48  356.22  355.46  355.76  356.59 
             357.81  359.35  361.21  363.35  365.78 
             368.49  371.47  374.73  378.25  382.03 
             386.09  390.40  410.27  462.40 
/
 9  4  3  1  350.00  345.17  341.46  341.61  342.49 
             343.89  345.70  347.89  350.44  353.33 
             356.57  360.11  363.96  368.12  372.59 
             377.39  382.45  405.67  465.68 
/
 9  4  4  1  344.16  330.16  328.23  328.54  329.70 
             331.47  333.71  336.40  339.51  343.01 
             346.90  351.15  355.75  360.71  366.00 
             371.61  377.56  404.43  473.03 
/
 9  4  5  1  332.99  309.64  308.09  308.80  310.54 
             313.01  316.13  319.81  324.03  328.77 
             333.99  339.69  345.84  352.44  359.48 
             366.93  374.80  410.21  497.47 
/
 9  4  6  1  312.04  284.25  283.36  285.11  288.15 
             292.32  297.30  303.17  309.80  317.16 
             325.18  333.86  343.41  353.31  363.77 
             374.77  386.28  437.79  561.81 
/
 9  4  7  1  255.77  254.07  256.36  261.17  267.81 
             276.07  285.77  296.80  309.06  322.45 
             336.91  352.35  368.73  387.00  406.41 
             426.67  447.33  538.73  757.52 
/
 9  4  8  1  236.58  237.35  245.00  257.41  273.36 
             292.28  313.74  337.48  363.31  391.09 
             420.70  452.06  485.10  519.79  556.13 
             594.10  633.71  815.29 1244.66 
/
 9  5  1  1  367.41  364.47  363.61  363.88  364.67 
             365.83  367.30  369.06  371.11  373.42 
             376.00  378.84  381.94  385.29  388.90 
             392.77  396.88  415.85  465.77 
/
 9  5  2  1  365.56  362.36  361.31  361.50  362.26 
             363.42  364.91  366.70  368.79  371.15 
             373.79  376.70  379.88  383.32  387.02 
             390.99  395.21  414.67  465.80 
/
 9  5  3  1  357.86  352.43  348.69  348.59  349.38 
             350.67  352.37  354.44  356.87  359.65 
             362.72  366.10  369.79  373.78  378.06 
             382.64  387.54  409.87  467.87 
/
 9  5  4  1  352.45  339.59  336.12  336.28  337.30 
             338.92  340.98  343.47  346.38  349.65 
             353.28  357.28  361.60  366.28  371.26 
             376.57  382.18  407.71  473.24 
/
 9  5  5  1  342.19  317.82  316.28  316.86  318.40 
             320.64  323.46  326.81  330.67  334.99 
             339.78  345.01  350.67  356.74  363.23 
             370.12  377.40  410.32  491.99 
/
 9  5  6  1  322.65  292.32  291.12  292.54  295.22 
             298.86  303.34  308.58  314.53  321.15 
             328.40  336.27  344.71  353.71  363.24 
             373.28  383.81  430.58  544.86 
/
 9  5  7  1  262.52  259.75  261.49  265.49  271.11 
             278.13  286.43  295.91  306.49  318.10 
             330.67  344.48  359.70  375.98  392.79 
             410.32  428.68  509.19  702.36 
/
 9  5  8  1  240.21  240.37  246.38  256.38  269.62 
             285.55  303.76  324.00  346.07  369.83 
             395.18  422.03  450.32  480.02  511.08 
             543.50  577.29  731.90 1101.65 
/
 9  6  1  1  374.27  370.58  369.43  369.59  370.31 
             371.41  372.84  374.55  376.54  378.80 
             381.32  384.10  387.13  390.42  393.96 
             397.75  401.79  420.43  469.54 
/
 9  6  2  1  372.72  368.76  367.42  367.51  368.20 
             369.29  370.73  372.46  374.49  376.79 
             379.36  382.19  385.29  388.65  392.27 
             396.14  400.27  419.31  469.43 
/
 9  6  3  1  366.02  359.98  356.34  356.20  356.84 
             358.01  359.60  361.54  363.83  366.44 
             369.37  372.59  376.12  379.93  384.04 
             388.42  393.14  414.60  470.61 
/
 9  6  4  1  361.13  350.55  344.97  344.84  345.70 
             347.18  349.06  351.35  354.02  357.06 
             360.47  364.19  368.24  372.63  377.31 
             382.28  387.60  411.73  474.00 
/
 9  6  5  1  351.99  327.12  325.62  326.09  327.47 
             329.47  332.02  335.05  338.54  342.47 
             346.83  351.59  356.76  362.33  368.26 
             374.59  381.28  411.65  487.52 
/
 9  6  6  1  334.34  302.01  300.56  301.61  303.85 
             306.94  310.79  315.32  320.48  326.26 
             332.61  339.52  346.96  354.92  363.37 
             372.30  381.69  423.67  527.10 
/
 9  6  7  1  274.39  267.27  268.35  271.60  276.24 
             282.08  289.04  297.02  306.31  316.72 
             328.11  340.21  353.19  367.02  381.37 
             396.78  412.62  483.28  652.06 
/
 9  6  8  1  245.13  244.67  249.24  257.15  267.72 
             280.59  295.52  312.27  330.65  350.51 
             371.73  394.25  417.99  442.92  468.99 
             496.19  524.49  653.37  965.42 
/
 9  7  1  1  380.94  376.82  375.45  375.52  376.17 
             377.22  378.59  380.25  382.19  384.40 
             386.86  389.58  392.55  395.77  399.24 
             402.96  406.92  425.22  473.50 
/
 9  7  2  1  379.72  375.31  373.77  373.76  374.39 
             375.43  376.81  378.48  380.45  382.68 
             385.18  387.95  390.97  394.24  397.77 
             401.56  405.59  424.21  473.30 
/
 9  7  3  1  374.23  367.92  364.84  364.35  364.86 
             365.91  367.37  369.19  371.35  373.81 
             376.59  379.65  383.01  386.65  390.57 
             394.77  399.24  419.83  473.80 
/
 9  7  4  1  370.01  361.35  354.62  354.39  355.06 
             356.31  358.00  360.10  362.60  365.40 
             368.54  372.00  375.77  379.88  384.25 
             388.93  393.88  416.65  475.64 
/
 9  7  5  1  362.21  339.91  336.34  336.74  337.95 
             339.75  342.03  344.76  347.90  351.45 
             355.39  359.71  364.39  369.45  374.85 
             380.62  386.72  414.44  484.53 
/
 9  7  6  1  346.97  313.80  312.16  312.90  314.71 
             317.29  320.54  324.39  328.80  333.75 
             339.22  345.19  351.63  358.55  365.92 
             373.74  381.98  419.06  511.44 
/
 9  7  7  1  288.30  278.89  278.40  280.80  284.58 
             289.49  295.44  302.25  310.03  318.66 
             328.11  338.34  349.32  361.03  373.43 
             386.14  399.83  460.29  605.43 
/
 9  7  8  1  252.09  251.03  254.25  260.23  268.36 
             278.36  290.06  303.30  317.95  333.89 
             351.04  369.31  388.64  408.98  430.27 
             452.50  475.64  581.49  838.24 
/
 9  8  1  1  387.15  383.05  381.60  381.61  382.22 
             383.23  384.55  386.17  388.06  390.21 
             392.62  395.28  398.19  401.34  404.74 
             408.38  412.27  430.23  477.67 
/
 9  8  2  1  386.27  381.90  380.29  380.23  380.82 
             381.81  383.14  384.77  386.67  388.84 
             391.28  393.97  396.91  400.11  403.55 
             407.25  411.18  429.38  477.43 
/
 9  8  3  1  382.15  376.12  373.48  373.01  373.42 
             374.35  375.70  377.40  379.42  381.75 
             384.37  387.28  390.46  393.93  397.66 
             401.67  405.94  425.65  477.43 
/
 9  8  4  1  378.78  370.83  365.48  365.00  365.47 
             366.52  368.02  369.91  372.15  374.72 
             377.61  380.81  384.31  388.13  392.21 
             396.57  401.22  422.62  478.35 
/
 9  8  5  1  372.56  358.22  349.25  349.42  350.46 
             351.98  353.95  356.38  359.15  362.30 
             365.82  369.67  373.88  378.42  383.27 
             388.46  393.98  419.06  483.12 
/
 9  8  6  1  360.29  328.32  326.64  327.11  328.55 
             330.67  333.36  336.57  340.26  344.43 
             349.05  354.10  359.58  365.47  371.78 
             378.48  385.57  417.69  498.82 
/
 9  8  7  1  331.56  293.95  292.83  294.39  297.23 
             301.08  305.86  311.35  317.66  324.69 
             332.38  340.72  349.67  359.51  369.66 
             380.34  391.54  441.23  562.99 
/
 9  8  8  1  262.65  260.97  262.94  267.17  273.05 
             280.38  289.04  298.92  309.95  322.04 
             335.13  349.17  364.09  379.85  396.42 
             413.77  432.92  518.14  720.94 
/
 9  9  1  1  392.63  389.09  387.77  387.81  388.41 
             389.40  390.70  392.28  394.12  396.23 
             398.58  401.18  404.03  407.12  410.45 
             414.03  417.84  435.45  482.05 
/
 9  9  2  1  392.09  388.32  386.87  386.86  387.43 
             388.41  389.70  391.29  393.14  395.26 
             397.63  400.26  403.13  406.24  409.60 
             413.21  417.05  434.82  481.82 
/
 9  9  3  1  389.41  384.36  382.11  381.76  382.19 
             383.10  384.39  386.01  387.93  390.14 
             392.63  395.39  398.41  401.70  405.25 
             409.05  413.11  431.88  481.35 
/
 9  9  4  1  387.06  380.59  377.43  376.71  376.93 
             377.80  379.11  380.79  382.82  385.16 
             387.80  390.74  393.96  397.46  401.25 
             405.30  409.63  429.58  481.93 
/
 9  9  5  1  382.67  373.39  365.38  365.01  365.57 
             366.72  368.34  370.34  372.76  375.48 
             378.53  381.91  385.63  389.62  393.92 
             398.52  403.44  425.92  484.01 
/
 9  9  6  1  373.97  350.83  344.97  345.29  346.43 
             348.14  350.33  352.96  356.00  359.43 
             363.25  367.44  372.00  376.91  382.17 
             387.79  393.75  420.92  491.07 
/
 9  9  7  1  352.88  314.98  313.25  314.03  315.96 
             318.69  322.12  326.20  330.87  336.11 
             341.90  348.22  355.04  362.37  370.17 
             378.44  387.16  426.35  523.63 
/
 9  9  8  1  286.72  279.41  279.18  281.72  285.61 
             290.62  296.69  303.70  311.62  320.40 
             330.17  340.61  352.03  364.03  376.74 
             390.15  404.23  467.01  618.81 
/
 9 10  1  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  2  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  3  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  4  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  5  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  6  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  7  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
 9 10  8  1  400.59  399.62  399.55  400.03  400.85 
             401.93  403.27  404.84  406.65  408.70 
             410.99  413.50  416.25  419.23  422.43 
             425.87  429.54  446.49  491.37 
/
10  1  1  1  365.56  364.22  363.96  364.49  365.45 
             366.76  368.39  370.31  372.51  374.99 
             377.75  380.78  384.08  387.64  391.47 
             395.56  399.92  419.96  472.56 
/
10  1  2  1  362.95  361.54  361.14  361.61  362.56 
             363.89  365.55  367.52  369.79  372.35 
             375.20  378.33  381.74  385.42  389.39 
             393.63  398.14  418.88  473.28 
/
10  1  3  1  352.99  347.60  346.27  346.56  347.59 
             349.16  351.16  353.56  356.35  359.50 
             363.00  366.84  371.04  375.55  380.39 
             385.55  391.04  416.13  481.03 
/
10  1  4  1  346.55  334.09  332.63  333.14  334.54 
             336.60  339.17  342.25  345.77  349.73 
             354.10  358.88  364.05  369.59  375.49 
             381.75  388.36  418.27  494.64 
/
10  1  5  1  334.47  314.54  313.26  314.32  316.52 
             319.55  323.31  327.74  332.78  338.42 
             344.63  351.38  358.65  366.43  374.71 
             383.46  392.68  434.03  534.69 
/
10  1  6  1  296.81  291.64  291.19  293.77  297.81 
             303.06  309.37  316.75  324.95  334.14 
             344.02  354.87  366.50  378.60  391.67 
             405.08  419.52  482.16  636.80 
/
10  1  7  1  268.64  267.55  271.23  278.07  287.34 
             298.76  312.09  327.18  343.87  362.03 
             381.58  402.41  424.48  448.52  474.22 
             501.04  528.86  650.55  946.59 
/
10  1  8  1  253.93  256.49  268.98  287.13  310.07 
             337.17  367.95  402.07  439.31  479.47 
             522.43  568.10  616.49  667.59  722.44 
             780.49  841.53 1105.82 1758.06 
/
10  2  1  1  370.08  368.78  368.55  369.08  370.04 
             371.34  372.94  374.83  377.00  379.44 
             382.15  385.14  388.38  391.89  395.66 
             399.70  403.99  423.75  475.65 
/
10  2  2  1  367.59  366.21  365.86  366.33  367.28 
             368.59  370.22  372.15  374.38  376.89 
             379.69  382.76  386.10  389.73  393.62 
             397.78  402.21  422.60  476.12 
/
10  2  3  1  357.95  353.49  351.60  351.89  352.89 
             354.39  356.32  358.64  361.32  364.36 
             367.73  371.46  375.50  379.86  384.54 
             389.53  394.86  419.18  482.14 
/
10  2  4  1  351.75  339.78  338.37  338.81  340.11 
             342.02  344.46  347.36  350.70  354.45 
             358.61  363.15  368.07  373.35  378.99 
             384.97  391.28  419.98  493.34 
/
10  2  5  1  340.23  320.14  318.82  319.75  321.76 
             324.56  328.04  332.15  336.85  342.11 
             347.91  354.22  361.03  368.33  376.10 
             384.33  393.01  432.03  527.50 
/
10  2  6  1  307.19  296.56  296.03  298.26  301.88 
             306.70  312.51  319.23  326.81  335.35 
             344.51  354.41  365.24  376.50  388.39 
             401.25  414.37  472.96  616.00 
/
10  2  7  1  271.91  270.59  273.70  279.69  287.89 
             298.02  309.90  323.39  338.35  354.68 
             372.29  391.10  411.05  432.86  456.59 
             481.05  506.06  616.88  886.03 
/
10  2  8  1  255.78  257.46  267.96  283.91  304.20 
             328.21  355.49  385.76  418.79  454.41 
             492.50  532.98  575.79  620.95  668.44 
             719.86  773.80 1010.31 1579.77 
/
10  3  1  1  374.79  373.54  373.34  373.87  374.82 
             376.09  377.67  379.53  381.66  384.07 
             386.74  389.67  392.86  396.32  400.03 
             404.00  408.23  427.70  478.88 
/
10  3  2  1  372.44  371.11  370.79  371.27  372.21 
             373.49  375.10  376.99  379.17  381.64 
             384.38  387.39  390.68  394.23  398.05 
             402.14  406.49  426.52  479.13 
/
10  3  3  1  363.22  359.95  357.38  357.64  358.59 
             359.99  361.84  364.09  366.67  369.59 
             372.84  376.42  380.31  384.52  389.04 
             393.89  399.02  422.57  483.68 
/
10  3  4  1  357.31  346.04  344.61  344.97  346.17 
             347.96  350.25  352.98  356.13  359.68 
             363.62  367.93  372.60  377.62  382.99 
             388.67  394.71  422.16  492.60 
/
10  3  5  1  346.46  326.41  325.05  325.86  327.69 
             330.26  333.47  337.27  341.63  346.51 
             351.89  357.77  364.13  370.94  378.20 
             385.91  394.05  430.73  520.99 
/
10  3  6  1  326.40  302.29  301.63  303.58  306.82 
             311.20  316.45  322.62  329.60  337.34 
             345.79  354.94  364.74  375.16  386.18 
             397.78  410.36  464.43  597.99 
/
10  3  7  1  275.84  274.29  276.85  282.04  289.20 
             298.10  308.57  320.49  333.76  348.29 
             363.99  380.80  398.66  418.79  439.94 
             462.04  484.64  584.41  827.34 
/
10  3  8  1  258.08  259.16  267.63  281.31  298.96 
             319.96  343.88  370.44  399.44  430.72 
             464.16  499.69  537.23  576.77  618.31 
             661.85  709.09  917.12 1411.66 
/
10  4  1  1  380.81  378.93  378.54  379.00  379.90 
             381.13  382.67  384.49  386.57  388.93 
             391.55  394.43  397.57  400.96  404.62 
             408.52  412.69  431.86  482.29 
/
10  4  2  1  378.61  376.67  376.17  376.58  377.47 
             378.71  380.27  382.12  384.25  386.66 
             389.34  392.29  395.51  398.99  402.73 
             406.74  411.00  430.66  482.36 
/
10  4  3  1  369.75  366.14  363.70  363.81  364.70 
             366.06  367.82  369.95  372.42  375.22 
             378.35  381.81  385.56  389.62  393.97 
             398.63  403.58  426.35  485.58 
/
10  4  4  1  364.10  353.36  351.45  351.73  352.81 
             354.47  356.62  359.18  362.14  365.48 
             369.21  373.28  377.70  382.46  387.56 
             392.97  398.71  424.89  492.36 
/
10  4  5  1  354.00  333.45  332.08  332.77  334.42 
             336.77  339.72  343.22  347.23  351.74 
             356.72  362.17  368.06  374.39  381.15 
             388.33  395.92  430.20  515.09 
/
10  4  6  1  335.01  309.00  308.07  309.68  312.58 
             316.47  321.23  326.80  333.12  340.15 
             347.86  356.21  365.18  374.75  384.89 
             395.58  406.80  456.73  579.60 
/
10  4  7  1  280.66  278.88  280.91  285.33  291.50 
             299.20  308.31  318.71  330.33  343.09 
             356.93  371.77  388.64  406.50  425.00 
             444.64  464.90  554.02  771.27 
/
10  4  8  1  261.00  261.49  268.37  279.68  294.64 
             312.63  333.26  356.23  381.34  408.46 
             437.46  468.27  500.81  535.06  570.98 
             608.59  647.92  828.72 1256.87 
/
10  5  1  1  387.61  384.81  384.09  384.43  385.25 
             386.43  387.92  389.69  391.72  394.03 
             396.59  399.42  402.50  405.83  409.42 
             413.26  417.35  436.21  485.89 
/
10  5  2  1  385.70  382.78  381.95  382.24  383.05 
             384.23  385.73  387.53  389.60  391.95 
             394.57  397.45  400.59  404.00  407.67 
             411.59  415.77  435.05  485.80 
/
10  5  3  1  377.71  373.18  370.68  370.62  371.39 
             372.65  374.31  376.33  378.68  381.36 
             384.35  387.65  391.25  395.17  399.37 
             403.85  408.63  430.55  487.87 
/
10  5  4  1  372.39  362.87  359.08  359.22  360.17 
             361.68  363.68  366.06  368.83  371.97 
             375.47  379.30  383.47  387.98  392.79 
             397.92  403.38  428.31  492.71 
/
10  5  5  1  363.08  341.38  340.03  340.61  342.10 
             344.24  346.93  350.13  353.81  357.95 
             362.54  367.56  373.00  378.85  385.10 
             391.75  398.80  430.66  510.14 
/
10  5  6  1  345.33  316.94  315.75  317.03  319.52 
             322.90  327.08  331.98  337.57  343.81 
             350.68  358.13  366.16  374.75  383.87 
             393.51  403.65  448.98  561.12 
/
10  5  7  1  289.85  284.67  286.20  289.88  295.10 
             301.66  309.45  318.39  328.40  339.44 
             352.15  365.91  380.41  395.99  412.26 
             429.40  447.04  525.88  717.86 
/
10  5  8  1  264.78  264.70  270.15  279.38  291.66 
             306.62  323.96  343.40  364.74  387.82 
             412.55  438.84  466.62  495.85  526.49 
             558.52  591.94  745.95 1112.54 
/
10  6  1  1  394.45  390.89  389.86  390.08  390.83 
             391.95  393.38  395.10  397.08  399.33 
             401.84  404.61  407.63  410.90  414.43 
             418.20  422.22  440.77  489.66 
/
10  6  2  1  392.87  389.13  387.99  388.16  388.89 
             390.01  391.45  393.19  395.20  397.49 
             400.04  402.85  405.93  409.26  412.84 
             416.69  420.78  439.67  489.47 
/
10  6  3  1  385.97  380.66  378.17  378.03  378.66 
             379.79  381.33  383.23  385.46  388.00 
             390.86  394.01  397.46  401.20  405.23 
             409.54  414.13  435.26  490.56 
/
10  6  4  1  381.12  373.46  367.58  367.53  368.32 
             369.67  371.48  373.68  376.25  379.21 
             382.47  386.06  389.98  394.23  398.78 
             403.63  408.77  432.43  493.70 
/
10  6  5  1  372.78  350.36  349.06  349.55  350.89 
             352.83  355.27  358.19  361.55  365.33 
             369.53  374.13  379.12  384.49  390.24 
             396.35  402.84  432.26  506.33 
/
10  6  6  1  356.68  326.41  325.02  325.99  328.08 
             330.98  334.59  338.86  343.74  349.20 
             355.23  361.81  368.90  376.51  384.61 
             393.19  402.24  442.91  544.25 
/
10  6  7  1  299.42  292.85  293.33  296.29  300.66 
             306.27  313.03  320.82  329.67  339.51 
             350.16  361.86  374.23  387.69  401.69 
             416.45  431.92  500.86  667.15 
/
10  6  8  1  269.86  269.22  273.35  280.64  290.47 
             302.53  316.61  332.53  350.13  369.28 
             389.86  411.78  434.98  459.42  485.04 
             511.82  539.75  667.83  978.38 
/
10  7  1  1  401.11  397.10  395.82  395.93  396.61 
             397.68  399.06  400.72  402.66  404.85 
             407.31  410.02  412.98  416.19  419.64 
             423.35  427.30  445.52  493.63 
/
10  7  2  1  399.87  395.65  394.25  394.32  394.98 
             396.04  397.42  399.10  401.06  403.28 
             405.77  408.52  411.52  414.77  418.28 
             422.04  426.04  444.54  493.37 
/
10  7  3  1  394.28  388.52  386.17  385.85  386.36 
             387.39  388.82  390.60  392.71  395.13 
             397.84  400.85  404.15  407.72  411.58 
             415.71  420.12  440.44  493.80 
/
10  7  4  1  390.07  382.29  377.10  376.69  377.31 
             378.49  380.13  382.14  384.52  387.24 
             390.31  393.67  397.34  401.31  405.58 
             410.15  415.05  437.37  495.64 
/
10  7  5  1  382.91  364.09  359.37  359.81  361.01 
             362.76  364.98  367.62  370.67  374.10 
             377.91  382.09  386.62  391.52  396.77 
             402.36  408.27  435.26  503.76 
/
10  7  6  1  368.94  337.86  336.33  337.03  338.74 
             341.19  344.26  347.92  352.12  356.83 
             362.05  367.76  373.94  380.57  387.66 
             395.19  403.15  439.12  529.64 
/
10  7  7  1  321.40  304.51  303.63  305.78  309.32 
             313.93  319.55  326.16  333.54  341.87 
             350.84  360.75  371.18  382.56  394.32 
             407.07  420.08  478.86  622.57 
/
10  7  8  1  277.01  275.82  278.71  284.22  291.77 
             301.12  312.13  324.64  338.58  353.82 
             370.29  387.92  406.64  426.41  447.19 
             468.94  491.65  597.15  851.63 
/
10  8  1  1  407.31  403.29  401.91  401.96  402.59 
             403.60  404.94  406.56  408.44  410.59 
             412.99  415.64  418.54  421.69  425.08 
             428.71  432.58  450.49  497.80 
/
10  8  2  1  406.43  402.19  400.69  400.69  401.30 
             402.31  403.64  405.27  407.17  409.33 
             411.76  414.44  417.37  420.55  423.97 
             427.65  431.57  449.67  497.52 
/
10  8  3  1  402.28  396.63  394.28  393.94  394.40 
             395.36  396.72  398.40  400.41  402.71 
             405.30  408.16  411.31  414.72  418.40 
             422.35  426.56  446.02  497.25 
/
10  8  4  1  398.92  391.59  387.47  386.93  387.34 
             388.33  389.78  391.60  393.77  396.28 
             399.09  402.21  405.63  409.34  413.35 
             417.63  422.20  443.23  498.34 
/
10  8  5  1  393.17  381.96  372.46  372.36  373.30 
             374.72  376.61  378.90  381.60  384.64 
             388.03  391.79  395.86  400.28  405.00 
             410.07  415.42  439.94  502.88 
/
10  8  6  1  381.87  351.85  350.32  350.80  352.18 
             354.22  356.79  359.87  363.42  367.43 
             371.87  376.74  382.03  387.73  393.82 
             400.31  407.18  438.44  518.26 
/
10  8  7  1  355.37  318.81  317.64  319.07  321.77 
             325.44  329.96  335.27  341.32  348.07 
             355.49  363.55  372.23  381.50  391.35 
             401.76  412.69  461.48  581.20 
/
10  8  8  1  288.76  285.98  287.73  291.63  297.10 
             303.96  312.09  321.42  331.87  343.38 
             355.89  369.36  383.73  398.97  415.03 
             432.81  451.65  534.96  735.22 
/
10  9  1  1  412.77  409.28  408.02  408.08  408.69 
             409.69  410.99  412.57  414.41  416.52 
             418.87  421.47  424.31  427.39  430.72 
             434.28  438.08  455.66  502.16 
/
10  9  2  1  412.23  408.55  407.18  407.20  407.80 
             408.78  410.08  411.67  413.52  415.63 
             418.00  420.61  423.47  426.58  429.93 
             433.52  437.35  455.06  501.91 
/
10  9  3  1  409.58  404.77  402.71  402.44  402.91 
             403.84  405.14  406.76  408.66  410.86 
             413.32  416.06  419.05  422.31  425.82 
             429.59  433.61  452.21  501.31 
/
10  9  4  1  407.27  401.18  398.30  397.71  398.03 
             398.91  400.22  401.88  403.87  406.18 
             408.78  411.67  414.84  418.29  422.02 
             426.01  430.28  449.97  501.77 
/
10  9  5  1  403.19  394.50  387.74  387.25  387.73 
             388.81  390.36  392.30  394.60  397.25 
             400.27  403.56  407.17  411.08  415.29 
             419.80  424.64  446.68  503.94 
/
10  9  6  1  395.12  375.62  367.90  368.24  369.37 
             371.04  373.17  375.73  378.68  382.03 
             385.74  389.82  394.26  399.05  404.19 
             409.67  415.48  442.13  511.07 
/
10  9  7  1  375.61  339.26  337.60  338.33  340.14 
             342.72  345.97  349.84  354.28  359.28 
             364.81  370.85  377.40  384.42  391.93 
             399.90  408.32  446.34  541.59 
/
10  9  8  1  316.94  305.30  304.47  306.78  310.42 
             315.19  320.93  327.66  335.19  343.66 
             352.98  363.11  374.02  385.68  398.08 
             411.19  424.61  485.75  634.89 
/
10 10  1  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  2  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  3  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  4  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  5  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  6  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  7  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
10 10  8  1  420.69  419.71  419.64  420.13  420.94 
             422.03  423.36  424.94  426.75  428.80 
             431.08  433.59  436.34  439.32  442.52 
             445.96  449.62  466.57  511.43 
/
